AP 請求書 API

  • リリースバージョン: Zurich
  • 更新日 2025年07月31日
  • 所要時間:182分
  • ベンダーが使用するような外部システムが、構造化され自動化された方法で、請求書を買掛金システムに直接安全に送信できるようにします。

    この API には、sn_spend_intg 名前空間内で提供される 買掛金請求書処理 (com.sn_ap_apm) ストアアプリケーションが必要です。詳細については、「Accounts Payable Invoice Processing」を参照してください。

    次のタスクについては、 AP 請求書 API 開発者ガイド を参照してください。
    • 請求書、請求書明細行、請求書税明細行のカスタムフィールドを定義します。
    • ソーステーブルとターゲットテーブルの間でカスタムフィールドをマッピングします。
    • カスタムフィールドを、JSON、CXML、XML などの特定の形式のペイロードエントリにマッピングします。
    • ペイロードとして cXML を使用する場合の認証用の認証情報の設定。
    注:
    デフォルトの最大ペイロードサイズは 100 レコードです。この値は、 sn_spend_intg.ap.invoice.create.api.record_limit システムのプロパティで構成できます。
    請求書添付ファイル
    XML および JSON エンドポイントは、請求書、請求書明細行、および請求書ケースレベルで添付ファイルをサポートしています。cXML エンドポイントは添付ファイルをサポートしていません。
    添付ファイルについては、次のガイドラインを使用してください。
    • 添付ファイル名に予約済みの「SD_」プレフィックスを使用しないでください。
    • すべての添付ファイルは Base64 形式でエンコードする必要があります。

    AP 請求書 – POST sn_spend_intg/ap_invoice/cxml

    自動請求書をコマース XML (cXML) 形式で処理します。

    請求書統合フィールドマッピング [sn_spend_intg_invoice_intg_field_mapping] テーブルを使用して、フィールドを cXML タグにマッピングする方法を決定します。

    その他の cXML リソースについては、https://xml.cxml.org にある cXML リファレンス ガイドを参照してください。

    この API の認証情報はペイロードに含まれています。ソースシステム認証情報 [sn_spend_intg_source_system_credential] テーブルで認証情報を設定できます。手順については、「cXML ペイロードでの認証用の認証情報の設定」を参照してください。

    要求本文のカスタム請求書フィールドを定義できます。次のフローを使用して、カスタムフィールドを追加し、ターゲットテーブルにマッピングして、ペイロードで使用できるようにフォーマットします。
    1. 請求書インポートのカスタムフィールドを追加
    2. ソーステーブルとターゲットテーブルの間でカスタムフィールドをマッピングする
    3. カスタムフィールドをペイロードソース形式にマップする

    URL 形式

    バージョニングされた URL: /api/sn_spend_intg/v1/ap_invoice/cxml

    デフォルト URL: /api/sn_spend_intg/ap_invoice/cxml

    サポートされている要求パラメーター

    表 : 1. パスパラメーター
    名前 説明
    api_version オプションアクセスするエンドポイントのバージョン。たとえば、v1v2 などです。最新以外のエンドポイントバージョンを使用する場合にのみ、この値を指定してください。

    データタイプ:文字列

    表 : 2. クエリパラメーター
    名前 説明
    なし
    表 : 3. 要求本文要素 (cXML)
    パス 説明
    /cXML/Header/From /Credential[@domain='VendorID']/Identity 顧客が注文できるリセラーまたはサプライヤーの識別子。

    ターゲットフィールド:u_supplier

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    /cXML/Request/InvoiceDetailRequest /InvoiceDetailRequestHeader[@invoiceDate] 顧客が請求された日付。

    ターゲットフィールド:u_invoice_date

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    形式:YYYY-MM-DD

    /cXML/Request/InvoiceDetailRequest /InvoiceDetailRequestHeader[@invoiceID] サードパーティアプリケーションによって生成された請求書番号。

    ターゲットフィールド:u_external_invoice_number

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    /cXML/Request/InvoiceDetailRequest /InvoiceDetailRequestHeader[@invoiceOrigin] 請求書の受領元の外部ソースシステム。たとえば、サプライヤーです。

    ターゲットフィールド:u_inbound_source

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    /cXML/Request/InvoiceDetailRequest /InvoiceDetailRequestHeader/InvoicePartner /Contact[@role='billTo']/PostalAddress/City 請求書の送信先の市区町村。

    ターゲットフィールド:u_bill_to_city

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    /cXML/Request/InvoiceDetailRequest /InvoiceDetailRequestHeader/InvoicePartner /Contact[@role='billTo']/PostalAddress/Country 請求書の送信先の国 (ISO 3166 形式)。たとえば、 US です。

    ターゲットフィールド:u_bill_to_country

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    /cXML/Request/InvoiceDetailRequest /InvoiceDetailRequestHeader/InvoicePartner /Contact[@role='billTo']/PostalAddress/State 請求書の送信先の都道府県。

    ターゲットフィールド:u_bill_to_state_or_province

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    /cXML/Request/InvoiceDetailRequest /InvoiceDetailRequestHeader/InvoicePartner /Contact[@role='billTo']/PostalAddress/Street 請求書の送信先の番地。

    ターゲットフィールド:u_bill_to_street

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    /cXML/Request/InvoiceDetailRequest /InvoiceDetailRequestHeader/InvoicePartner /Contact[@role='billTo']/PostalAddress/PostalCode 請求書の送信先の郵便番号。

    ターゲットフィールド:u_bill_to_zip_or_postal_code

    連絡先 [@role="remitTo"]/PostalAddress /番地 支払先の番地。

    ターゲットフィールド:u_remit_address

    連絡先 [@role="remitTo"]/PostalAddress /City 支払先の市区町村。

    ターゲットフィールド:u_remit_to_city

    連絡先 [@role="remitTo"]/PostalAddress /State 支払先の都道府県。

    ターゲットフィールド:u_remit_to_state_or_province

    連絡先 [@role="remitTo"]/PostalAddress /PostalCode 支払先の郵便番号。

    ターゲットフィールド:u_remit_to_zip_or_postal_code

    連絡先 [@role="remitTo"]/PostalAddress /Country 支払い先の国 (ISO 3166 形式)。たとえば、 US です。

    ターゲットフィールド:u_remit_to_country

    /cXML/Request/InvoiceDetailRequest/InvoiceDetailRequestHeader /InvoiceDetailShipping/Contact[@role="shipFrom"]/PostalAddress /Street 発注書の品目の配送元の番地。

    ターゲットフィールド:u_ship_from_street

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    /cXML/Request/InvoiceDetailRequest/InvoiceDetailRequestHeader /InvoiceDetailShipping/Contact[@role="shipFrom"]/PostalAddress /City 発注書の品目の配送元の市区町村。

    ターゲットフィールド:u_ship_from_city

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    /cXML/Request/InvoiceDetailRequest/InvoiceDetailRequestHeader /InvoiceDetailShipping/Contact[@role="shipFrom"]/PostalAddress /State 発注書の品目の配送元の都道府県。

    ターゲットフィールド:u_ship_from_state_or_province

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    /cXML/Request/InvoiceDetailRequest/InvoiceDetailRequestHeader /InvoiceDetailShipping/Contact[@role="shipFrom"]/PostalAddress /PostalCode 発注書の品目の配送元の郵便番号。

    ターゲットフィールド:u_ship_from_zip_or_postal_code

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    /cXML/Request/InvoiceDetailRequest/InvoiceDetailRequestHeader /InvoiceDetailShipping/Contact[@role="shipFrom"]/PostalAddress /Country 発注書の品目の配送元の国。

    ターゲットフィールド:u_ship_from_country

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    /cXML/Request/InvoiceDetailRequest/InvoiceDetailRequestHeader /InvoicePartner/Contact[@role="billTo"] [@addressID] サプライヤーの法人の名前。法人 [sn_fin_legal_entity] テーブルにあります。

    ターゲットフィールド:u_legal_entity

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    連絡先 [@role="shipTo"]/名前 発注書の品目の配送先となる連絡先の名前。

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    連絡先 [@role="shipTo"]/PostalAddress /番地 発注書の品目の配送先の番地。

    ターゲットフィールド:u_ship_to_street

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    連絡先 [@role="shipTo"]/PostalAddress /City 発注書の品目の配送先の市区町村。

    ターゲットフィールド:u_ship_to_city

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    連絡先 [@role="shipTo"]/PostalAddress /State 発注書の品目の配送先の都道府県。

    ターゲットフィールド:u_ship_to_state_or_province

    連絡先 [@role="shipTo"]/PostalAddress /PostalCode 発注書の品目の配送先の郵便番号。

    ターゲットフィールド:u_ship_to_zip_or_postal_code

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    連絡先 [@role="shipTo"]/PostalAddress /Country 発注書の品目の配送先の国。

    ターゲットフィールド:u_ship_from_country

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    /cXML/要求/請求書詳細要求 /請求書詳細要求ヘッダー/支払条件 サプライヤーへの支払いが行われる合意された時期および条件。たとえば、「 Net 30」などです。

    ターゲットフィールド:u_payment_terms

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    /cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailItem[@description]/ 請求書明細行の説明。

    ターゲットフィールド:u_line_description

    /cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailItem[@quantity]/ 顧客への請求対象となる、物品またはサービスの数量。

    ターゲットフィールド:u_line_quantity

    /cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailItem/Distribution/Accounting/AccountingSegment[1]/Name 請求書が生成されるコストセンターのアカウント番号。コストセンター [cmn_cost_center] テーブルにリストされます。

    ターゲットフィールド:u_cost_center

    /cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailItem/Distribution/Accounting/AccountingSegment[2]/Name 請求書の生成に使用される総勘定元帳 (GL) のアカウント番号。

    ターゲットフィールド:u_gl_account

    関連項目:
    /cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailItem/SubtotalAmount/Money 税金と配送料を除いたサプライヤーに支払われる合計金額。

    ターゲットフィールド:u_subtotal

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    /cXML/要求/請求書詳細要求/請求書詳細注文 /請求書詳細品目/正味金額/金額 特定の発注明細に対して顧客に請求される総コスト (税と送料を除く)。

    ターゲットフィールド:u_line_amount_invoiced

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    /cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailOrderInfo/OrderReference この注文に対して顧客から提供された発注書番号。発注書 [sn_shop_purchase_order] テーブルにリストされている。

    ターゲットフィールド:u_purchase_order

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    /cXML/要求/請求書詳細要求/請求書詳細注文 /請求書詳細品目/単価/測定単位 請求書の品目を計数するために使用される基本測定単位 (UOM)。

    ターゲットフィールド:u_uom

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    /cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailItem/UnitPrice/Money 請求書の項目の単価。

    ターゲットフィールド:u_line_unit_price

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    /cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailItem/UnitPrice/Money[@currency] 品目の通貨。例:USD。

    ターゲットフィールド:u_currency

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailItem /InvoiceDetailItemReference[@lineNumber] 参照されるサプライヤーの発注書 (PO) 明細行 ID。発注明細 [sn_shop_purchase_order_line] テーブルにリストされます。

    ターゲットフィールド:u_purchase_order_line

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailItem/InvoiceDetailItemReference /ItemID/SupplierPartID この請求書明細行に対してサプライヤーによって生成される部品番号。

    ターゲットフィールド:u_supplier_part_number

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailItem/InvoiceDetailItemReference /説明 請求書の発注明細の説明。

    ターゲットフィールド:u_po_line_description

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    cXML/要求/請求書詳細要求/請求書詳細注文/請求書詳細品目/税/金額 購入に対して請求される税金の合計額。

    ターゲットフィールド:u_tax_amount

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    cXML/要求/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailItem/税/説明 ERP ソースから生成された一意の税コード。

    ターゲットフィールド:u_tax_code

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    /cXML/Request/InvoiceDetailRequest/ InvoiceDetailSummary /SubtotalAmount/Money 税金と配送料を除いたサプライヤーに支払われる合計金額。

    ターゲットフィールド:u_subtotal

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    /cXML/Request/InvoiceDetailRequest/InvoiceDetailSummary /税/金額 購入に対して請求される税金の合計額。

    ターゲットフィールド:u_tax_amount

    関連テーブル:請求書税項目インポート [sn_spend_intg_imp_invoice_tax_line]

    /cXML/Request/InvoiceDetailRequest/InvoiceDetailSummary /Tax/TaxDetail[@category] 請求書に適用される税のタイプ。税タイプ [sn_fin_tax_type] テーブルに表示されます。

    ターゲットフィールド:u_tax_type

    関連テーブル:請求書税項目インポート [sn_spend_intg_imp_invoice_tax_line]

    /cXML/Request/InvoiceDetailRequest/InvoiceDetailSummary /Tax/TaxDetail[@percentageRate] サプライヤーが請求する税率。

    関連テーブル:請求書税項目インポート [sn_spend_intg_imp_invoice_tax_line]

    ターゲットフィールド:u_supplier_tax_rate

    関連テーブル:請求書税項目インポート [sn_spend_intg_imp_invoice_tax_line]

    /cXML/Request/InvoiceDetailRequest/InvoiceDetailSummary /SpecialHandlingAmount/Money 請求書に関連するその他の追加料金。これは編集可能なフィールドです。

    ターゲットフィールド:u_other_charges

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    /cXML/Request/InvoiceDetailRequest/InvoiceDetailSummary /ShippingAmount/Money 購入全体の合計送料。

    ターゲットフィールド:u_shipping_amount

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    /cXML/Request/InvoiceDetailRequest/InvoiceDetailSummary /GrossAmount/Money 必須です。小計、税、および送料の通貨。小計、税、および送料は同じ通貨である必要があります。

    ターゲットフィールド:u_currency

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    /cXML/Request/InvoiceDetailRequest/InvoiceDetailSummary /InvoiceDetailDiscount/Money 請求書に適用される割引。

    ターゲットフィールド:u_discounts

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    /cXML/Request/InvoiceDetailRequest/InvoiceDetailSummary /NetAmount/Money 税金と配送料を含むサプライヤーに支払われる合計金額。

    ターゲットフィールド:u_amount_invoiced

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    ヘッダー

    次のリクエストや応答ヘッダーは、この HTTP アクションにのみ適用されるか、またはこのアクションに別個の方法で適用されます。REST API で使用される一般的なヘッダーのリストについては、「 サポートされている REST API ヘッダー」を参照してください。

    表 : 4. 要求ヘッダー
    ヘッダー 説明
    Content-Type 要求本文のデータ形式。application/xml のみをサポートします。
    ソースシステム 要求の送信元のソースシステムを指定します。

    利用可能なシステムは、ソースシステムの認証情報 [sn_spend_intg_source_system_credential] テーブルに一覧表示されます。

    この設定は、指定された要求が請求書統合フィールドマッピング [sn_spend_intg_invoice_intg_field_mapping] テーブルの構造に従っているかどうかを判断するのに役立ちます。

    この設定は、ソースシステム認証情報 [sn_spend_intg_source_system_credential] テーブルから認証情報をフェッチするためにも使用されます。

    表 : 5. 応答ヘッダー
    ヘッダー 説明
    なし

    ステータスコード

    この HTTP アクションには、次のステータスコードが適用されます。REST API で使用される可能性のあるステータスコードのリストについては、「 REST API HTTP 応答コード」を参照してください。

    表 : 6. ステータスコード
    ステータスコード 説明
    202 要求が承認されました。要求が成功し、請求書の処理が進行中です。
    400 要求が正しくありません。不適切な要求タイプまたは誤った要求が検出されました。
    429 要求が多すぎます。要求レートが 1 時間あたり最大 10 件の要求を超えました。

    応答本文のパラメーター

    名前 説明
    batch_id バッチ要求の一意の識別子。この ID は、要求のステータスを追跡するために使用できます。このレコードは、請求書統合ログ [sn_spend_intg_invoice_integration_log] テーブルに保存されます。

    データタイプ:文字列

    エラー 要求が失敗した場合のエラーメッセージと詳細が含まれます。
    {
      "detail": String,
      "message": String
    }

    データタイプ: オブジェクト

    error.detail 要求エラーに関するその他の詳細。
    考えられる結果:
    • API レベルの ACL 検証に失敗しました:ユーザーにリソースへの読み取り/書き込みアクセス権がありません。
    • AP の 1 時間あたり 13 リクエストのレート制限を超えました 請求書 – バッチ内のレコード数がバッチサイズの設定を超えています。
    • 認証情報の入力を要求 - パスワードまたはユーザー名が間違っています。

    データタイプ:文字列

    error.message 要求が失敗した理由を含むエラーメッセージ
    考えられるエラー:
    • 無効なペイロード:無効なコンテンツタイプ。
    • 無効なペイロード:エラー:無効なペイロード構造です。
    • 無効なペイロード:エラー:ペイロードがバッチで許可される請求書の制限を超えています。バッチ内のレコード数がバッチサイズの設定を超えています。デフォルトの最大ペイロードサイズは 100 レコードです。この値は、 sn_spend_intg.ap.invoice.create.api.record_limit システムのプロパティで構成できます。
    • 無効なペイロード:エラー:請求書が空です。処理するデータがありません。バッチ内のレコード数が 0 である。
    • APO 請求書取り込みの 1 時間あたり 500 要求のレート制限を超えました。
    • ユーザーが認証されていません。パスワードまたはユーザー名が間違っています。
    • API レベルの ACL 検証に失敗しました:ユーザーにリソースへの読み取り/書き込みアクセス権がありません。

    データタイプ:文字列

    メッセージ 成功メッセージ (例: 要求が正常に受信され、処理中です。

    要求のステータスは、請求書統合ログ [sn_spend_intg_invoice_integration_log] テーブルで確認できます。

    データタイプ:文字列

    ステータス 要求の結果を示します。
    可能な値:
    • 成功
    • 失敗

    データタイプ:文字列

    cURL 要求

    次の例は、cXML 形式で要求として提供された請求書を処理する方法を示しています。

    curl -X POST https://instance.servicenow.com/api/sn_spend_intg/v1/ap_invoice/cxml \
    -H "Source-System: Ariba" \
    -H "Content-Type: application/json" \
    -d '{
        "content": "------=_Part_1367_1859161670.1709186492411\r\nContent-Type: text/xml; charset=UTF-8\r\n
    Content-ID: 1709186492411.10815535@produs-c4-an-s2-z3-1.us2.gcpint.ariba.com\r\n<?xml version=\"1.0\" 
    encoding=\"UTF-8\"?>\r\n<!DOCTYPE cXML SYSTEM \"https://protect-us.mimecast.com/s/fgKrCERVqQU35PNzBuw39pz?domain=xml.cxml.org\">
    \r\n<cXML timestamp=\"2024-02-28T22:01:32-08:00\" payloadID=\"1709186492411-3401013259654180284@10.209.37.74\">
    \r\n    <Response>\r\n        <Status code=\"200\" text=\"OK\" />\r\n        <DataResponse>\r\n            <Attachment>
    \r\n                <URL>186492411.10815535@produs-c4-an-s2-z3-1.us2.gcpint.ariba.com.110</URL>\r\n            </Attachment>
    \r\n            <Attachment>\r\n                <URL>1709186492403.306612238@produs-c4-an-s2-z3-1.us2.gcpint.ariba.com.108</URL>
    \r\n            </Attachment>\r\n        </DataResponse>\r\n    </Response>\r\n</cXML>\r\n------=_Part_1367_1859161670.1709186492411
    \r\nContent-Type: text/xml; charset=UTF-8\r\nContent-ID: 1709186492403.306612238@produs-c4-an-s2-z3-1.us2.gcpint.ariba.com.108
    \r\n<?xml version=\"1.0\" encoding=\"UTF-8\"?>\r\n
    <!DOCTYPE cXML SYSTEM \"https://protect-us.mimecast.com/s/7QpfCG6VRKf15gQPwFpUTKe?domain=xml.cxml.org\">\r\n
    <cXML payloadID=\"1705930173863-1790846563502652473@10.209.37.98\" timestamp=\"2024-01-22T05:29:33-08:00\" version=\"1.2.060\">\r\n
        <Header>\r\n        <From>\r\n            <Credential domain=\"NetworkID\">\r\n                <Identity>AN01532216648-T</Identity>\r\n
                </Credential>\r\n            <Credential domain=\"VendorID\">\r\n                <Identity>3245545</Identity>\r\n
                </Credential>\r\n            <Credential domain=\"PrivateID\">\r\n                <Identity>0000099123</Identity>\r\n
                </Credential>\r\n        </From>\r\n        <To>\r\n            <Credential domain=\"NetworkID\">\r\n
                    <Identity>AN01404744424-T</Identity>\r\n            </Credential>\r\n            <Credential domain=\"SystemID\">\r\n
                    <Identity>ERP1</Identity>\r\n            </Credential>\r\n            <Credential domain=\"EndPointID\">\r\n
                    <Identity>CIG</Identity>\r\n            </Credential>\r\n        </To>\r\n        <Sender>\r\n
                <Credential domain=\"NetworkID\">\r\n                <Identity>AN01000000001</Identity>\r\n
                    <SharedSecret>Ariba@123</SharedSecret>\r\n            </Credential>\r\n            <UserAgent>Supplier</UserAgent>\r\n
            </Sender>\r\n    </Header>\r\n    <Request deploymentMode=\"test\">\r\n        <InvoiceDetailRequest>\r\n
                <InvoiceDetailRequestHeader invoiceDate=\"2024-01-22\" invoiceID=\"\" invoiceOrigin=\"supplier\" operation=\"new\ purpose=\"PO Invoice\">\r\n
                    <InvoiceDetailHeaderIndicator></InvoiceDetailHeaderIndicator>\r\n
                    <InvoiceDetailLineIndicator></InvoiceDetailLineIndicator>\r\n                <InvoicePartner>\r\n
                        <Contact addressID=\"Test123\" role=\"remitTo\">\r\n
                            <Name xml:lang=\"en-US\">Oil and Natural Gas Corporation Limited</Name>\r\n
                            <PostalAddress>\r\n                            <Street>Xyz street</Street>\r\n                            <City>USA</City>\r\n
                                <State isoStateCode=\"US-NY\">NY</State>\r\n                            <PostalCode>10001</PostalCode>\r\n
                                <Country isoCountryCode=\"US\">United States</Country>\r\n                        </PostalAddress>\r\n
                        </Contact>\r\n                </InvoicePartner>\r\n                <InvoicePartner>\r\n
                        <Contact addressID=\"9009\" role=\"billTo\">\r\n                        <Name xml:lang=\"EN\">Bristlecone Inc</Name>\r\n
                            <PostalAddress>\r\n                            <Street>10 Boulvard-10</Street>\r\n
                                <City>San Jose</City>\r\n                            <State>CA</State>\r\n
                                <PostalCode>94077</PostalCode>\r\n                            <Country isoCountryCode=\"US\"></Country>\r\n
                            </PostalAddress>\r\n                        <Phone>\r\n                            <TelephoneNumber>\r\n
                                    <CountryCode isoCountryCode=\"US\">1</CountryCode>\r\n                                <Number>7687687799</Number>\r\n
                                </TelephoneNumber>\r\n                        </Phone>\r\n                        <Fax>\r\n
                                <TelephoneNumber>\r\n                                <CountryCode isoCountryCode=\"US\">1</CountryCode>\r\n
                                    <Number>768-FAX-NUMBER</Number>\r\n                            </TelephoneNumber>\r\n                        </Fax>\r\n
                        </Contact>\r\n                </InvoicePartner>\r\n                <InvoicePartner>\r\n                    <Contact role=\"from\">\r\n
                            <Name xml:lang=\"en-US\">Oil and Natural Gas Corporation Limited</Name>\r\n                        <PostalAddress>\r\n
                                <Street>123 , street no 5</Street>\r\n                            <City>Dallas</City>\r\n
                                <State isoStateCode=\"US-AL\">AL</State>\r\n                            <PostalCode>36615</PostalCode>\r\n
                                <Country isoCountryCode=\"US\">United States</Country>\r\n                        </PostalAddress>\r\n
                        </Contact>\r\n                </InvoicePartner>\r\n                <InvoiceDetailShipping>\r\n
                        <Contact role=\"shipFrom\">\r\n                        <Name xml:lang=\"en-US\">Oil and Natural Gas Corporation Limited</Name>\r\n
                            <PostalAddress>\r\n                            <Street>Deendayal Urja Bhawan</Street>\r\n
                                <City>New Delhi</City>\r\n                            <State isoStateCode=\"IN-MH\">Maharashtra</State>\r\n
                                <PostalCode>110070</PostalCode>\r\n                            <Country isoCountryCode=\"IN\">India</Country>\r\n
                            </PostalAddress>\r\n                    </Contact>\r\n                    <Contact addressID=\"9999\" role=\"shipTo\">\r\n
                            <Name xml:lang=\"EN\">Buyer Plant Bristlecone</Name>\r\n                        <PostalAddress name=\"default\">\r\n
                                <Street>18 Hanoi Road</Street>\r\n                            <City>San Jose</City>\r\n
                                <State>CA</State>\r\n                            <PostalCode>77077</PostalCode>\r\n
                                <Country isoCountryCode=\"US\"></Country>\r\n                        </PostalAddress>\r\n
                            <Email name=\"default\" preferredLang=\"en\">test@test.com</Email>\r\n                    </Contact>\r\n
                    </InvoiceDetailShipping>\r\n            </InvoiceDetailRequestHeader>\r\n            <InvoiceDetailOrder>\r\n
                    <InvoiceDetailOrderInfo>\r\n                    <OrderReference orderID=\"\">\r\n
                            <DocumentReference payloadID=\"0AAF8EA1FA5F1EDE9FDC97460BCB03E1\"></DocumentReference>\r\n
                        </OrderReference>\r\n                </InvoiceDetailOrderInfo>\r\n
                    <InvoiceDetailItem invoiceLineNumber=\"2\" quantity=\"25\" description=\"Indian Oil\">\r\n
                        <UnitOfMeasure>EA</UnitOfMeasure>\r\n                    <UnitPrice>\r\n                        <Money currency=\"USD\">50</Money>\r\n
                        </UnitPrice>\r\n                    <SubtotalAmount>\r\n                        <Money currency=\"USD\">1250.00</Money>\r\n
                        </SubtotalAmount>\r\n                </InvoiceDetailItem>\r\n            </InvoiceDetailOrder>\r\n        </InvoiceDetailRequest>\r\n
        </Request>\r\n</cXML>\r\n------=_Part_1367_1859161670.1709186492411--"
    }'
    

    次の結果は、要求が成功し、請求書データが処理されていることを示しています。要求のステータスは、請求書統合ログ [sn_spend_intg_invoice_integration_log] テーブルで確認できます。[バッチ ID] 列にリストされているバッチ ID を使用して、請求書を検索します。

    {
        "batchId": "APIINV1729711710733280",
        "status": "Success",
        "message": "Your request has been successfully received and is being processed."
    }

    AP 請求書 – POST sn_spend_intg/ap_invoice/json

    JSON 形式の自動請求書を処理します。

    必要なロール:sn_spend_intg.procurement_integrator

    請求書統合フィールドマッピング [sn_spend_intg_invoice_intg_field_mapping] テーブルを使用して、フィールドを JSON プロパティにマッピングする方法を決定します。

    要求本文のカスタム請求書フィールドを定義できます。次のフローを使用して、カスタムフィールドを追加し、ターゲットテーブルにマッピングして、ペイロードで使用できるようにフォーマットします。
    1. 請求書インポートのカスタムフィールドを追加
    2. ソーステーブルとターゲットテーブルの間でカスタムフィールドをマッピングする
    3. カスタムフィールドをペイロードソース形式にマップする

    URL 形式

    バージョニングされた URL: /api/sn_spend_intg/v1/ap_invoice/json

    デフォルト URL: /api/sn_spend_intg/ap_invoice/json

    サポートされている要求パラメーター

    表 : 7. パスパラメーター
    名前 説明
    api_version オプションアクセスするエンドポイントのバージョン。たとえば、v1v2 などです。最新以外のエンドポイントバージョンを使用する場合にのみ、この値を指定してください。

    データタイプ:文字列

    表 : 8. クエリパラメーター
    名前 説明
    なし
    表 : 9. 要求本文パラメーター
    名前 説明
    請求書 処理する各請求書を含むリスト。

    データタイプ: ネストされた請求書オブジェクトのオブジェクト。

    "invoices": {
      {
        "amount_invoiced": "String",
        "bill_to_city": "String",
        "bill_to_country": "String",
        "bill_to_state_or_province": "String",
        "bill_to_street": "String",
        "bill_to_zip_or_postal_code": "String",
        "business_owner": "String",
        "currency": "String",
        "discounts": "String",
        "erp_number": "String",
        "external_invoice_number": "String",
        "invoice_copy_attachment": [Array],
        "invoice_date": "String",
        "invoice_line_count": "String",
        "invoice_lines": [Array],
        "invoice_type": "String",
        "legal_entity": "String",
        "original_invoice": "String",
        "other_charges": "String",
        "payment_terms": "String",
        "purchase_order": "String",
        "remit_address": "String",
        "remit_to_city": "String",
        "remit_to_country": "String",
        "remit_to_state_or_province": "String",
        "remit_to_zip_or_postal_code": "String",
        "ship_from_city": "String",
        "ship_from_country": "String",
        "ship_from_state_or_province": "String",
        "ship_from_street": "String",
        "ship_from_zip_or_postal_code": "String",
        "ship_to_city": "String",
        "ship_to_country": "String",
        "ship_to_state_or_province": "String",
        "ship_to_street": "String",
        "ship_to_zip_or_postal_code": "String",
        "shipping_amount": "String",
        "subtotal": "String",
        "supplier": "String",
        "supplier_invoice_number": "String",
        "supplier_tax_id": "String",
        "supporting_attachments": [Array]
      }
    }
    invoices.amount_invoiced 税金と配送料を含むサプライヤーに支払われる合計金額。

    ターゲットフィールド:u_amount_invoiced

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:40

    bill_to_city 請求書の送信先の市区町村。

    ターゲットフィールド:u_bill_to_city

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    bill_to_country 請求書の送信先の国 (ISO 3166 形式)。たとえば、 US です。

    ターゲットフィールド:u_bill_to_country

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    bill_to_state_or_province 請求書の送信先の都道府県。

    ターゲットフィールド:u_bill_to_state_or_province

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    bill_to_street 請求書の送信先の番地。

    ターゲットフィールド:u_bill_to_street

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    bill_to_zip_or_postal_code 請求書の送信先の郵便番号。

    ターゲットフィールド:u_bill_to_zip_or_postal_code

    invoices.business_owner 事業側からアプリケーションを所有する所有者の名前。

    ターゲットフィールド:u_business_owner

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:40

    invoices.currency 必須です。小計、税、および送料の通貨。小計、税、および送料は同じ通貨である必要があります。

    ターゲットフィールド:u_currency

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:40

    invoices.discounts 請求書に適用される割引。

    ターゲットフィールド:u_discounts

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:100

    invoices.erp_number 発注書 (PO) に対して ERP (エンタープライズリソースプランニング) システム内で生成された一意の番号。詳細については、「Purchase order integration」を参照してください。

    ターゲットフィールド:u_erp_number

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:40

    請求 書。external_invoice_number 必須。 サードパーティアプリケーションによって生成された請求書番号。

    ターゲットフィールド:u_external_invoice_number

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:40

    請求 書。invoice_copy_attachment 請求書レベルで定義された添付ファイルのリスト。「Accounts Payable Invoice Processing」を参照してください。

    作成されると、関連する請求書ケースおよび請求書明細行とともに請求書レコードが生成されます。添付ファイルは、それぞれのレコードに適宜リンクされます。

    データタイプ:オブジェクトのアレイ

    "invoice_copy_attachment": [
      {
        "content": "String",
        "encoding": "String",
        "mime_code": "String",
        "name": "String"
      }
    ]
    invoices.invoice_copy_attachment。コンテンツ Base64 でエンコードされた添付ファイルのファイルコンテンツ。

    データタイプ:文字列

    invoices.invoice_copy_attachment。エンコーディング この値は常に base64 です。

    データタイプ:文字列

    invoices.invoice_copy_attachment。mime_code この値は常に base64 です。

    データタイプ:文字列

    invoices.invoice_copy_attachment。名前 添付ファイルのファイル名。
    注:
    添付ファイル名に予約済みの「SD_」接頭辞を使用しないでください。

    データタイプ:文字列

    invoices.invoice_date 必須。 顧客が請求された日付。

    ターゲットフィールド:u_invoice_date

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:40

    形式:YYYY-MM-DD

    invoices.invoice_line_count 請求書の明細行数。

    ターゲットフィールド:u_invoice_line_count

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:40

    invoices.invoice_lines この注文内の購入に対して請求される明細を定義するオブジェクトのリスト。請求書明細行は、請求書明細行インポート受信 [sn_spend_intg_imp_invoice_line] テーブルにステージングされます。

    データタイプ:オブジェクトのアレイ

    "invoice_lines": [
      {
        "attachments": [Array],
        "cost_center": "String",
        "currency": "String",
        "external_invoice_number": "String",
        "gl_account": "String",
        "line_amount_invoiced": "String",
        "line_description": "String",
        "line_quantity": "String",
        "line_unit_price": "String",
        "po_line_description": "String",
        "purchase_order_line": "String",
        "ship_to_city": "String",
        "ship_to_country": "String",
        "ship_to_state_or_province": "String",
        "ship_to_street": "String",
        "ship_to_zip_or_postal_code": "String",
        "subtotal": "String",
        "supplier_part_number": "String",
        "tax_code": "String",
        "tax_details": [Array],
        "uom": "String"
      }
    ]
    invoices.invoice_lines。添付 ファイル 請求書明細レベルで定義された添付ファイルのリスト。「Create New Invoice Line form」を参照してください。

    作成されると、関連する請求書ケースおよび請求書明細行とともに請求書レコードが生成されます。添付ファイルは、それぞれのレコードに適宜リンクされます。

    データタイプ:オブジェクトのアレイ

    "attachments": [
      {
        "content": "String",
        "encoding": "String",
        "mime_code": "String",
        "name": "String"
      }
    ]
    invoices.invoice_lines。attachments.content Base64 でエンコードされた添付ファイルのファイルコンテンツ。

    データタイプ:文字列

    invoices.invoice_lines。attachments.encoding この値は常に base64 です。

    データタイプ:文字列

    invoices.invoice_lines。attachments.mime_code この値は常に base64 です。

    データタイプ:文字列

    invoices.invoice_lines。attachments.name 添付ファイルのファイル名。
    注:
    添付ファイル名に予約済みの「SD_」接頭辞を使用しないでください。

    データタイプ:文字列

    invoices.invoice_lines。cost_center 請求書が生成されるコストセンターのアカウント番号。コストセンター [cmn_cost_center] テーブルにリストされます。

    ターゲットフィールド:u_cost_center

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    データタイプ:文字列

    最大長:40

    invoices.invoice_lines。通貨 品目の通貨。例:USD。

    ターゲットフィールド:u_currency

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    データタイプ:文字列

    最大長:40

    invoices.invoice_lines。external_invoice_number 必須。 サードパーティアプリケーションによって生成された請求書番号。

    ターゲットフィールド:u_external_invoice_number

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:40

    invoices.invoice_lines。gl_account 請求書の生成に使用される総勘定元帳 (GL) のアカウント番号。

    ターゲットフィールド:u_gl_account

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    データタイプ:文字列

    最大長:40

    関連項目:
    invoices.invoice_lines。line_amount_invoiced 必須。 特定の発注明細に対して顧客に請求される総コスト (税と送料を除く)。

    ターゲットフィールド:u_line_amount_invoiced

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    データタイプ:文字列

    最大長:40

    invoices.invoice_lines。line_description 必須。 請求書明細行の説明。

    ターゲットフィールド:u_line_description

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    データタイプ:文字列

    最大長:40

    invoices.invoice_lines。line_quantity 必須。 顧客への請求対象となる、物品またはサービスの数量。

    ターゲットフィールド:u_line_quantity

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    データタイプ:文字列

    最大長:40

    invoices.invoice_lines。line_unit_price 請求書の項目の単価。

    ターゲットフィールド:u_line_unit_price

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    データタイプ:文字列

    最大長:40

    invoices.invoice_lines。po_line_description 請求書の発注明細の説明。

    ターゲットフィールド:u_po_line_description

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    データタイプ:文字列

    最大長:100

    invoices.invoice_lines。purchase_order_line 必須。 参照されるサプライヤーの発注書 (PO) 明細行 ID。発注明細 [sn_shop_purchase_order_line] テーブルにリストされます。

    ターゲットフィールド:u_purchase_order_line

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    データタイプ:文字列

    最大長:40

    invoices.invoice_lines。ship_to_city 発注書の品目の配送先の市区町村。

    ターゲットフィールド:u_ship_to_city

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    データタイプ:文字列

    最大長:100

    invoices.invoice_lines。ship_to_country 発注書の品目の配送先の国。

    ターゲットフィールド:u_ship_to_country

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    データタイプ:文字列

    最大長:100

    invoices.invoice_lines。ship_to_state_or_province 発注書の品目の配送先の都道府県。

    ターゲットフィールド:u_ship_to_state_or_province

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    データタイプ:文字列

    最大長:100

    invoices.invoice_lines。ship_to_street 発注書の品目の配送先の番地。

    ターゲットフィールド:u_ship_to_street

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    データタイプ:文字列

    最大長:100

    invoices.invoice_lines。ship_to_zip_or_postal_code 発注書の品目の配送先の郵便番号。

    ターゲットフィールド:u_ship_to_zip_or_postal_code

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    データタイプ:文字列

    最大長:100

    invoices.invoice_lines。小計 必須。 税金と配送料を除いたサプライヤーに支払われる合計金額。

    ターゲットフィールド:u_subtotal

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:100

    invoices.invoice_lines。supplier_part_number 必須。 この請求書明細行に対してサプライヤーによって生成される部品番号。

    ターゲットフィールド:u_supplier_part_number

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:100

    invoices.invoice_lines。tax_code ERP ソースから生成された一意の税コード。

    ターゲットフィールド:u_tax_code

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:100

    invoices.invoice_lines。tax_details 請求書明細行に関連付けられた購入の税明細行のリスト。

    データタイプ:オブジェクトのアレイ

    "tax_details": [
      {
        "tax_amount": "String",
        "tax_rate": "String",
        "tax_type": "String"
      }
    ]
    invoices.invoice_lines。tax_details.tax_amount 必須。 購入に対して請求される税金の合計額。

    ターゲットフィールド:u_tax_amount

    関連テーブル:請求書税項目インポート [sn_spend_intg_imp_invoice_tax_line]

    データタイプ:文字列

    最大長:40

    invoices.invoice_lines。tax_details.tax_rate サプライヤーが請求する税率。

    ターゲットフィールド:u_supplier_tax_rate

    関連テーブル:請求書税項目インポート [sn_spend_intg_imp_invoice_tax_line]

    データタイプ:文字列

    最大長:100

    invoices.invoice_lines。tax_details.tax_type 請求書に適用される税のタイプ。税タイプ [sn_fin_tax_type] テーブルに表示されます。

    ターゲットフィールド:u_tax_type

    関連テーブル:請求書税項目インポート [sn_spend_intg_imp_invoice_tax_line]

    データタイプ:文字列

    最大長:100

    invoices.invoice_lines.uom 請求書の品目を計数するために使用される基本測定単位 (UOM)。

    ターゲットフィールド:u_uom

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:100

    invoices.invoice_type 処理する請求書のタイプ。

    ターゲットフィールド:u_invoice_type

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:100

    invoices.legal_entity サプライヤーの法人の名前。法人 [sn_fin_legal_entity] テーブルにあります。

    ターゲットフィールド:u_legal_entity

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:100

    invoices.original_invoice サプライヤーによって作成された一意の請求書番号。

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    ターゲットフィールド:u_original_invoice

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:100

    invoices.other_charges 請求書に関連するその他の追加料金。これは編集可能なフィールドです。

    ターゲットフィールド:u_other_charges

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:100

    invoices.payment_terms サプライヤーへの支払いが行われる合意された時期および条件。たとえば、「 Net 30」などです。

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:100

    invoices.purchase_order 必須。 この注文に対して顧客から提供された発注書番号。発注書 [sn_shop_purchase_order] テーブルにリストされている。

    ターゲットフィールド:u_purchase_order

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:40

    invoices.remit_address 必須。 支払先の番地。

    ターゲットフィールド:u_remit_address

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:100

    invoices.remit_to_city 必須。 支払先の市区町村。

    ターゲットフィールド:u_remit_to_city

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:100

    invoices.remit_to_country 必須。 支払い先の国 (ISO 3166 形式)。たとえば、 US です。

    ターゲットフィールド:u_remit_to_country

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:100

    請求 書。remit_to_state_or_province 必須。 支払先の都道府県。

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:100

    請求 書。remit_to_zip_or_postal_code 必須。 支払先の郵便番号。

    ターゲットフィールド:u_remit_to_state_or_province

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:100

    invoices.ship_from_city 発注書の品目の配送元の市区町村。

    ターゲットフィールド:u_ship_from_city

    データタイプ:文字列

    最大長:100

    invoices.ship_from_country 発注書の品目の配送元の国。

    ターゲットフィールド:u_ship_from_country

    データタイプ:文字列

    最大長:100

    請求 書。ship_from_state_or_province 発注書の品目の配送元の都道府県。

    ターゲットフィールド:u_ship_from_state_or_province

    データタイプ:文字列

    最大長:100

    invoices.ship_from_street 発注書の品目の配送元の番地。

    ターゲットフィールド:u_ship_from_street

    データタイプ:文字列

    最大長:100

    請求 書。ship_from_zip_or_postal_code 発注書の品目の配送元の郵便番号。

    ターゲットフィールド:u_ship_from_zip_or_postal_code

    データタイプ:文字列

    最大長:100

    invoices.ship_to_city 発注書の品目の配送先の市区町村。

    ターゲットフィールド:u_ship_to_city

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:100

    invoices.ship_to_country 発注書の品目の配送先の国。

    ターゲットフィールド:u_ship_to_country

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:100

    請求 書。ship_to_state_or_province 発注書の品目の配送先の都道府県。

    ターゲットフィールド:u_ship_to_state_or_province

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:100

    invoices.ship_to_street 発注書の品目の配送先の番地。

    ターゲットフィールド:u_ship_to_street

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:100

    請求 書。ship_to_zip_or_postal_code 発注書の品目の配送先の郵便番号。

    ターゲットフィールド:u_ship_to_zip_or_postal_code

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:100

    invoices.shipping_amount 必須。 購入全体の合計送料。

    ターゲットフィールド:u_shipping_amount

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:40

    invoices.subtotal 必須。 税金と配送料を除いたサプライヤーに支払われる合計金額。

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:40

    invoices.supplier 必須。 顧客が注文できるリセラーまたはサプライヤーの識別子。

    ターゲットフィールド:u_supplier

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:100

    請求 書。supplier_invoice_number 必須。 この請求書に対してサプライヤーが生成した識別番号。

    ターゲットフィールド:u_supplier_invoice_number

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:100

    invoices.supplier_tax_id サードパーティの再販業者に関連付けられている税金識別子。これは編集可能なフィールドです。

    ターゲットフィールド:u_supplier_tax_id

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    データタイプ:文字列

    最大長:100

    invoices.target_erp 請求書が転記される ERP レコード。ERP ソース [sn_fin_erp_source] テーブルにあります。「ERP source」を参照してください。

    データタイプ:文字列

    請求 書。supporting_attachments 買掛金スペシャリストにアサインされたケースの請求書処理ケースレベルで定義された添付ファイルのリスト。「Invoice processing case form」を参照してください。

    作成されると、関連する請求書ケースおよび請求書明細行とともに請求書レコードが生成されます。添付ファイルは、それぞれのレコードに適宜リンクされます。

    データタイプ:オブジェクトのアレイ

    "supporting_attachments": [
      {
        "content": "String",
        "encoding": "String",
        "mime_code": "String",
        "name": "String"
      }
    ]
    請求 書。supporting_attachments.content Base64 でエンコードされた添付ファイルのファイルコンテンツ。

    データタイプ:文字列

    請求 書。supporting_attachments.encoding この値は常に base64 です。

    データタイプ:文字列

    請求 書。supporting_attachments.mime_code この値は常に base64 です。

    データタイプ:文字列

    請求 書。supporting_attachments.name 添付ファイルのファイル名。
    注:
    添付ファイル名に予約済みの「SD_」接頭辞を使用しないでください。

    データタイプ:文字列

    ヘッダー

    次のリクエストや応答ヘッダーは、この HTTP アクションにのみ適用されるか、またはこのアクションに別個の方法で適用されます。REST API で使用される一般的なヘッダーのリストについては、「 サポートされている REST API ヘッダー」を参照してください。

    表 : 10. 要求ヘッダー
    ヘッダー 説明
    Content-Type 要求本文のデータ形式。application/json のみをサポートします。
    ソースシステム 要求の送信元のソースシステムを指定します。

    この設定は、指定された要求が請求書統合フィールドマッピング [sn_spend_intg_invoice_intg_field_mapping] テーブルの構造に従っているかどうかを判断するのに役立ちます。

    表 : 11. 応答ヘッダー
    ヘッダー 説明
    なし

    ステータスコード

    この HTTP アクションには、次のステータスコードが適用されます。REST API で使用される可能性のあるステータスコードのリストについては、「 REST API HTTP 応答コード」を参照してください。

    表 : 12. ステータスコード
    ステータスコード 説明
    202 要求が承認されました。要求が成功し、請求書の処理が進行中です。
    400 要求が正しくありません。不適切な要求タイプまたは誤った要求が検出されました。
    429 要求が多すぎます。要求レートが 1 時間あたり最大 10 件の要求を超えました。

    応答本文のパラメーター

    名前 説明
    batch_id バッチ要求の一意の識別子。この ID は、要求のステータスを追跡するために使用できます。このレコードは、請求書統合ログ [sn_spend_intg_invoice_integration_log] テーブルに保存されます。

    データタイプ:文字列

    エラー 要求が失敗した場合のエラーメッセージと詳細が含まれます。
    {
      "detail": String,
      "message": String
    }

    データタイプ: オブジェクト

    error.detail 要求エラーに関するその他の詳細。
    考えられる結果:
    • API レベルの ACL 検証に失敗しました:ユーザーにリソースへの読み取り/書き込みアクセス権がありません。
    • AP の 1 時間あたり 13 リクエストのレート制限を超えました 請求書 – バッチ内のレコード数がバッチサイズの設定を超えています。
    • 認証情報の入力を要求 - パスワードまたはユーザー名が間違っています。

    データタイプ:文字列

    error.message 要求が失敗した理由を含むエラーメッセージ
    考えられるエラー:
    • 無効なペイロード:無効なコンテンツタイプ。
    • 無効なペイロード:エラー:無効なペイロード構造です。
    • 無効なペイロード:エラー:ペイロードがバッチで許可される請求書の制限を超えています。バッチ内のレコード数がバッチサイズの設定を超えています。デフォルトの最大ペイロードサイズは 100 レコードです。この値は、 sn_spend_intg.ap.invoice.create.api.record_limit システムのプロパティで構成できます。
    • 無効なペイロード:エラー:請求書が空です。処理するデータがありません。バッチ内のレコード数が 0 である。
    • APO 請求書取り込みの 1 時間あたり 500 要求のレート制限を超えました。
    • ユーザーが認証されていません。パスワードまたはユーザー名が間違っています。
    • API レベルの ACL 検証に失敗しました:ユーザーにリソースへの読み取り/書き込みアクセス権がありません。

    データタイプ:文字列

    メッセージ 成功メッセージ (例: 要求が正常に受信され、処理中です。

    要求のステータスは、請求書統合ログ [sn_spend_intg_invoice_integration_log] テーブルで確認できます。

    データタイプ:文字列

    ステータス 要求の結果を示します。
    可能な値:
    • 成功
    • 失敗

    データタイプ:文字列

    cURL 要求

    次の例は、JSON 形式で要求として提供された請求書を処理する方法を示しています。 Base64 エンコーディングのサイズはさまざまで、非常に大きくなる可能性があります。スペースを節約するためにコンテンツ値が切り捨てられました。情報は適切なペイロード構造を反映しています。

    curl "https://instance.servicenow.com/api/sn_spend_intg/v1/ap_invoice/json" \
    --request \
     POST \
    --header \
     "Source-System: Coupa" \
    --header \
     "Content-Type: application/json" \
    --user 'username' \
    :'password' \
    --data \
     '{
      "invoices": [
        {
          "invoice_type": "",
          "supplier_invoice_number": "2InvoiceAttach_A1",
          "external_invoice_number": "EXT-INV-erp-po-1_Attach1",
          "supplier": "",
          "business_owner": "lara.croft@example.com",
          "purchase_order": "",
          "date_format": "DD MMMM, YYYY",
          "invoice_date": "2nd June, 2021",
          "payment_terms": "Net 30",
          "legal_entity": "AUS",
          "subtotal": "(100.00)",
          "shipping_amount": "30.00",
          "other_charges": "20.00",
          "discounts": "00.00",
          "amount_invoiced": "200.00",
          "currency": "USD",
          "invoice_line_count": "10",
          "ship_to_city": "New York",
          "ship_to_country": "USA",
          "ship_to_state_or_province": "NY",
          "ship_to_street": "123 Main St",
          "ship_to_zip_or_postal_code": "10001",
          "ship_from_city": "Los Angeles",
          "ship_from_country": "USA",
          "ship_from_state_or_province": "CA",
          "ship_from_street": "456 Oak Ave",
          "ship_from_zip_or_postal_code": "90001",
          "remit_address": "789 Elm St, Suite 200",
          "remit_to_city": "Chicago",
          "remit_to_country": "USA",
          "remit_to_state_or_province": "IL",
          "remit_to_zip_or_postal_code": "60601",
          "supplier_tax_id": "123456789",
          "invoice_copy_attachment": [
            {
              "file_name": "InvoiceTestInv_Json_A1.pdf",
              "mime_code": "application/pdf",
              "encoding": "base64",
              "content": "JVBERi0xLjQKJaqrrK0KMSAwIG9iago8PAovVGl0bGUgKFBERiBQcmV/Base64EncodingIntentionallyTruncated"
            },
            {
              "file_name": "InvoiceTestINVIMG_Json_A1.jpg",
              "mime_code": "image/jpeg",
              "encoding": "base64",
              "content": "iVBORw0KGgoAAAANSUhEUgAAA0YAAALUCAYAAAAv/SLkAAAMTmlDQ1B/Base64EncodingIntentionallyTruncated"
            }
          ],
          "tax_details": [
            {
              "tax_type": "CGST",
              "tax_amount": "10",
              "tax_rate": ""
            },
            {
              "tax_type": "Withholding tax",
              "tax_amount": "",
              "tax_rate": "25"
            },
            {
              "tax_type": "Sales tax",
              "tax_amount": "12",
              "tax_rate": "12"
            }
          ],
          "invoice_lines": [
            {
              "external_invoice_number": "EXT-INV-erp-po-1",
              "line_description": "2INV_Line_Attach_A1",
              "po_line_description": "",
              "purchase_order_line": "",
              "line_quantity": "5",
              "line_unit_price": "20.00",
              "subtotal": "200.00",
              "line_amount_invoiced": "118.00",
              "currency": "USD",
              "cost_center": "ACN00001",
              "gl_account": "100001",
              "tax_code": "A1 - Sales tax, reduced rate",
              "ship_to_city": "New York",
              "ship_to_country": "USA",
              "ship_to_state_or_province": "NY",
              "ship_to_street": "123 Main St",
              "ship_to_zip_or_postal_code": "10001",
              "supplier_part_number": "SPN-001",
              "uom": "Hours",
              "attachments": [
                {
                  "file_name": "InvoiceTestLine.pdf",
                  "mime_code": "application/pdf",
                  "encoding": "base64",
                  "content": "JVBERi0xLjQKJaqrrK0KMSAwIG9iago8PAovVGl0bGUgKFBERiBQc/Base64EncodingIntentionallyTruncated"
                },
                {
                  "file_name": "InvoiceTest1Line.jpg",
                  "mime_code": "image/jpeg",
                  "encoding": "base64",
                  "content": "iVBORw0KGgoAAAANSUhEUgAAA0YAAALUCAYAAAAv/SLkAAAMTmlDQ1BJQ0MgUHJvZmW2GWCy8SpAszALlJ/Mv6HK54/f/3/XFv4ysU57JMAAAAASUVORK5CYII="
                }
              ]
            },
            {
              "external_invoice_number": "EXT-INV-erp-po-3",
              "line_description": "Testing",
              "po_line_description": "",
              "purchase_order_line": "",
              "line_quantity": "5",
              "line_unit_price": "20.00",
              "subtotal": "200.00",
              "line_amount_invoiced": "118.00",
              "currency": "USD",
              "cost_center": "ACN00005",
              "gl_account": "100002",
              "tax_code": "A1 - Sales tax, reduced rate",
              "ship_to_city": "New York",
              "ship_to_country": "USA",
              "ship_to_state_or_province": "NY",
              "ship_to_street": "123 Main St",
              "ship_to_zip_or_postal_code": "10001",
              "supplier_part_number": "SPN-001",
              "uom": "Hours"
            }
          ]
        },
        {
          "invoice_type": "",
          "supplier_invoice_number": "10MultiInvoiceAttach_A2",
          "external_invoice_number": "EXT-INV-noerp-PO_Attach_A2",
          "purchase_order": "0004531004",
          "supplier": "880733",
          "date_format": "DD-MM-YYYY",
          "invoice_date": "02-05-2021",
          "payment_terms": "NET 30",
          "legal_entity": "XYZ Ltd.",
          "subtotal": "100",
          "shipping_amount": "30.00",
          "other_charges": "20.00",
          "discounts": "10.00",
          "amount_invoiced": "140.00",
          "currency": "USD",
          "invoice_line_count": "1",
          "ship_to_city": "New York",
          "ship_to_country": "USA",
          "ship_to_state_or_province": "NY",
          "ship_to_street": "123 Main St",
          "ship_to_zip_or_postal_code": "10001",
          "ship_from_city": "Los Angeles",
          "ship_from_country": "USA",
          "ship_from_state_or_province": "CA",
          "ship_from_street": "456 Oak Ave",
          "ship_from_zip_or_postal_code": "90001",
          "remit_address": "789 Elm St, Suite 200",
          "remit_to_city": "Chicago",
          "remit_to_country": "USA",
          "remit_to_state_or_province": "IL",
          "remit_to_zip_or_postal_code": "60601",
          "supplier_tax_id": "12340009",
          "supporting_attachments": [
            {
              "file_name": "10InvcCaseTstInv_Json_A2.pdf",
              "mime_code": "application/pdf",
              "encoding": "base64",
              "content": "JVBERi0xLjQKJaqrrK0KMSAwIG9iago8PAovVGl0bGUgKFBERiBQcmVzZW50YXRpb24gOTY3MTUxMzkw/Base64EncodingIntentionallyTruncated"
            },
            {
              "file_name": "10InvcCaseTstPNGInv_Json_A2.png",
              "mime_code": "image/png",
              "encoding": "base64",
              "content": "iVBORw0KGgoAAAANSUhEUgAAA0YAAALUCAYAAAAv/SLkAAAMTmlDQ1BJQ0MgUHJvZmlsZQAASImVVwdY/Base64EncodingIntentionallyTruncated"
            },
            {
              "file_name": "10InvcCaseTstInv2_Json_A2.pdf",
              "mime_code": "application/pdf",
              "encoding": "base64",
              "content": "JVBERi0xLjQKJaqrrK0KMSAwIG9iago8PAovVGl0bGUgKFBERiBQcmVzZW50YXRpb24gOTY3MTQzNjgzKQovQXV0aG9yIChQYWdlcm8gQUIpCi9Td/Base64EncodingIntentionallyTruncated"
            },
            {
              "file_name": "10InvcCaseTstXMLINV_Json_A2.xml",
              "mime_code": "text/xml",
              "encoding": "base64",
              "content": "PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0iVVRGLTgiIHN0YW5kYWxvbmU9I/Base64EncodingIntentionallyTruncated"
            },
            {
              "file_name": "10InvcCaseTtExcelINV_Json_A2.xlsx",
              "mime_code": "application/vnd.ms-excel",
              "encoding": "base64",
              "content": "UEsDBBQABgAIAAAAIQCpD2g4fwEAAAIFAAATAAgCW0NvbnRlbnRfVHlwZXNdLnhtbCCiBAIooAACAAAAAAAAAAAAAA/Base64EncodingIntentionallyTruncated"
            },
            {
              "file_name": "10InvcCaseTstCSVINV_Json_A2.csv",
              "mime_code": "text/csv",
              "encoding": "base64",
              "content": "Im51bWJlciIsInN1cHBsaWVyX2ludm9pY2VfbnVtYmVyIiwic3VwcGxpZXIiLCJzdGF0ZSIsInR5cGUiLCJkd/Base64EncodingIntentionallyTruncated"
            },
            {
              "file_name": "10InvcCaseTstJsonINV_Json_A2.json",
              "mime_code": "application/json",
              "encoding": "base64",
              "content": "eyJyZWNvcmRzIjpbeyJyZXF1aXJlc19hY2tub3dsZWRnZW1lbnQiOiJmYWxzZSIsInRheF9hbW91buYm91bmRfc291cmNlIjoiIn1dfQ==/Base64EncodingIntentionallyTruncated"
            },
            {
              "file_name": "10InvcCaseTstdocINV_Json_A2.docx",
              "mime_code": "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
              "encoding": "base64",
              "content": "UEsDBBQABgAIAAAAIQDnIQddcAEAANcFAAATAAgCW0NvbnRlbnRfVHlwZXNdLnhtbCCiBAIooAACAAAAAAAAAAA/Base64EncodingIntentionallyTruncated"
            },
            {
              "file_name": "10InvoiceCasePPT_Json_A2.pptx",
              "mime_code": "application/vnd.ms-powerpoint",
              "encoding": "base64",
              "content": "UEsDBBQABgAIAAAAIQAPBpW0tQEAAHgMAAATAAgCW0NvbnRlbnRfVHlwZXNdLnhtbCCiB="
            },
            {
              "file_name": "10InvoiceCaseRichText_Json_A2.rtf",
              "mime_code": "application/rtf",
              "encoding": "base64",
              "content": "e1xydGYxXGFuc2lcYW5zaWNwZzEyNTJcY29jb2FydGYyODIyClxjb2NvYXRleHRzY2FsaW5nMFxjb2NvYXBsYXRmb3JtM/Base64EncodingIntentionallyTruncated"
            },
            {
              "file_name": "10InvcCaseTst_INVJPG_Json_A2.jpg",
              "mime_code": "image/jpeg",
              "encoding": "base64",
              "content": "/9j/4AAQSkZJRgABAQEA8ADwAAD/2wCEAAoHBwcIBwoICAoPCggKDxINCgoNEhQQEBIQEB/Base64EncodingIntentionallyTruncated"
            }
          ],
          "invoice_copy_attachment": [
            {
              "file_name": "10InvoiceTestInv_Json_A2.pdf",
              "mime_code": "application/pdf",
              "encoding": "base64",
              "content": "JVBERi0xLjQKJaqrrK0KMSAwIG9iago8PAovVGl0bGUgKFBERiBQcmVzZW50YXRpb24g/Base64EncodingIntentionallyTruncated"
            },
            {
              "file_name": "10InvoiceTestInv_Json_A2.jpg",
              "mime_code": "image/jpeg",
              "encoding": "base64",
              "content": "iVBORw0KGgoAAAANSUhEUgAAA0YAAALUCAYAAAAv/SLkAAAMTmlDQ1BJQ0MgUHJvZmls/Base64EncodingIntentionallyTruncated"
            },
            {
              "file_name": "10InvceTstInv2_Json_A2.pdf",
              "mime_code": "application/pdf",
              "encoding": "base64",
              "content": "JVBERi0xLjQKJaqrrK0KMSAwIG9iago8PAovVGl0bGUgKFBERiBQcmVzZW50YXRpb24g=/Base64EncodingIntentionallyTruncated"
            },
            {
              "file_name": "10InvoiceTestXMLINV_Json_A2.xml",
              "mime_code": "text/xml",
              "encoding": "base64",
              "content": "PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0iVVRGLTgiIHN0YW5kYWxvbmU9Im5vI/Base64EncodingIntentionallyTruncated"
            },
            {
              "file_name": "10InvoiceTestExcelINV_Json_A2.xlsx",
              "mime_code": "application/vnd.ms-excel",
              "encoding": "base64",
              "content": "UEsDBBQABgAIAAAAIQCpD2g4fwEAAAIFAAATAAgCW0NvbnRlbnRfVHlwZXNdLnhtbCCiBAIooAACAAAAAAAAAAAAAA=/Base64EncodingIntentionallyTruncated"
            },
            {
              "file_name": "10InvoiceTestCSVINV_Json_A2.csv",
              "mime_code": "text/csv",
              "encoding": "base64",
              "content": "Im51bWJlciIsInN1cHBsaWVyX2ludm9pY2VfbnVtYmVyIiwic3VwcGxpZXIiLCJzd/Base64EncodingIntentionallyTruncated"
            },
            {
              "file_name": "10InvoiceTestJsonINV_Json_A2.json",
              "mime_code": "application/json",
              "encoding": "base64",
              "content": "eyJyZWNvcmRzIjpbeyJyZXF1aXJlc19hY2tub3dsZWRnZW1lbnQiOiJmYWxzZSI/Base64EncodingIntentionallyTruncated"
            },
            {
              "file_name": "10InvoiceTestdocINV_Json_A2.docx",
              "mime_code": "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
              "encoding": "base64",
              "content": "UEsDBBQABgAIAAAAIQDnIQddcAEAANcFAAATAAgCW0NvbnRlbnRfVHlwZXNdLnht/Base64EncodingIntentionallyTruncated"
            },
            {
              "file_name": "10InvoicePPT_Json_A2.pptx",
              "mime_code": "application/vnd.ms-powerpoint",
              "encoding": "base64",
              "content": "UEsDBBQABgAIAAAAIQAPBpW0tQEAAHgMAAATAAgCW0NvbnRlbnRfVHlwZXNdLnhtb/Base64EncodingIntentionallyTruncated"
            },
            {
              "file_name": "10InvoiceRichText_Json_A2.rtf",
              "mime_code": "application/rtf",
              "encoding": "base64",
              "content": "e1xydGYxXGFuc2lcYW5zaWNwZzEyNTJcY29jb2FydGYyODIyClxjb2NvYXRleHRz/Base64EncodingIntentionallyTruncated"
            }
          ],
          "tax_details": [
            {
              "tax_type": "Value added tax",
              "tax_amount": "21",
              "tax_rate": ""
            },
            {
              "tax_type": "IGST",
              "tax_amount": "",
              "tax_rate": "22"
            },
            {
              "tax_type": "Withholding tax",
              "tax_amount": "23",
              "tax_rate": ""
            }
          ],
          "invoice_lines": [
            {
              "external_invoice_number": "EXT-INV-noerp-PO_Attach_A2",
              "purchase_order_line": "00045310041",
              "po_line_description": "Yeti microphone - black",
              "line_description": "10MultiInvoiceLineAttach_A2",
              "line_quantity": "5",
              "line_unit_price": "20.00",
              "subtotal": "200.00-",
              "line_amount_invoiced": "97.00",
              "currency": "USD",
              "cost_center": "ACN00001",
              "gl_account": "141150",
              "tax_code": "A0 - Sales tax, standard rate",
              "ship_to_city": "New York",
              "ship_to_country": "USA",
              "ship_to_state_or_province": "NY",
              "ship_to_street": "123 Main St",
              "ship_to_zip_or_postal_code": "10001",
              "supplier_part_number": "SPN-001",
              "uom": "Hours",
              "attachments": [
                {
                  "file_name": "10InvoiceTest_INVLine_Json_A2.pdf",
                  "mime_code": "application/pdf",
                  "encoding": "base64",
                  "content": "JVBERi0xLjQKJaqrrK0KMSAwIG9iago8PAovVGl0bGUgKFBERiBQcmVzZW50/Base64EncodingIntentionallyTruncated"
                },
                {
                  "file_name": "10InvoiceTest_INVLine_Json_A2.jpg",
                  "mime_code": "image/jpeg",
                  "encoding": "base64",
                  "content": "iVBORw0KGgoAAAANSUhEUgAAA0YAAALUCAYAAAAv/SLkAAAMTmlDQ1BJQ0Mg/Base64EncodingIntentionallyTruncated"
                },
                {
                  "file_name": "10InvceTst2_INVLine_Json_A2.pdf",
                  "mime_code": "application/pdf",
                  "encoding": "base64",
                  "content": "JVBERi0xLjQKJaqrrK0KMSAwIG9iago8PAovVGl0bGUgKFBERiBQcmVzZW50Y/Base64EncodingIntentionallyTruncated"
                },
                {
                  "file_name": "10InvoiceTestXML_INVLine_Json_A2.xml",
                  "mime_code": "text/xml",
                  "encoding": "base64",
                  "content": "PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0iVVRGLTgiIHN0YW5kYWxv/Base64EncodingIntentionallyTruncated"
                },
                {
                  "file_name": "10InvoiceTestExcel_INVLine_Json_A2.xlsx",
                  "mime_code": "application/vnd.ms-excel",
                  "encoding": "base64",
                  "content": "UEsDBBQABgAIAAAAIQCpD2g4fwEAAAIFAAATAAgCW0NvbnRlbnRfVHlwZX/Base64EncodingIntentionallyTruncated"
                },
                {
                  "file_name": "10InvoiceTestdoc_INVLine_Json_A2.docx",
                  "mime_code": "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
                  "encoding": "base64",
                  "content": "UEsDBBQABgAIAAAAIQDnIQddcAEAANcFAAATAAgCW0NvbnRlbnRfVHlwZX/Base64EncodingIntentionallyTruncated"
                },
                {
                  "file_name": "10_InvoiceLinePPT_Json_A2.pptx",
                  "mime_code": "application/vnd.ms-powerpoint",
                  "encoding": "base64",
                  "content": "UEsDBBQABgAIAAAAIQAPBpW0tQEAAHgMAAATAAgCW0NvbnRlbnRfVHlwZX/Base64EncodingIntentionallyTruncated"
                },
                {
                  "file_name": "10_InvoiceLineRichText_Json_A2.rtf",
                  "mime_code": "application/rtf",
                  "encoding": "base64",
                  "content": "e1xydGYxXGFuc2lcYW5zaWNwZzEyNTJcY29jb2FydGYyODIyClxjb2NvYX/Base64EncodingIntentionallyTruncated"
                }
              ],
              "tax_details": [
                {
                  "tax_type": "IGST",
                  "tax_amount": "",
                  "tax_rate": "3.4"
                },
                {
                  "tax_type": "GST",
                  "tax_amount": "3.9",
                  "tax_rate": ""
                },
                {
                  "tax_type": "VAT",
                  "tax_amount": "2",
                  "tax_rate": "4"
                }
              ]
            },
            {
              "external_invoice_number": "EXT-INV-noerp-PO",
              "purchase_order_line": "00045310041",
              "po_line_description": "Yeti microphone - black",
              "line_description": "Testing ERP POL",
              "line_quantity": "5",
              "line_unit_price": "20.00",
              "subtotal": "200.00-",
              "line_amount_invoiced": "97.00",
              "currency": "USD",
              "cost_center": "ACN00001",
              "gl_account": "141150",
              "tax_code": "A0 - Sales tax, standard rate",
              "ship_to_city": "New York",
              "ship_to_country": "USA",
              "ship_to_state_or_province": "NY",
              "ship_to_street": "123 Main St",
              "ship_to_zip_or_postal_code": "10001",
              "supplier_part_number": "SPN-001",
              "uom": "Hours",
              "tax_details": [
                {
                  "tax_type": "IGST",
                  "tax_amount": "",
                  "tax_rate": "3.4"
                },
                {
                  "tax_type": "GST",
                  "tax_amount": "3.9",
                  "tax_rate": ""
                },
                {
                  "tax_type": "VAT",
                  "tax_amount": "2",
                  "tax_rate": "4"
                }
              ]
            },
            {
              "external_invoice_number": "EXT-INV-noerp-PO_Attach3",
              "purchase_order_line": "00045310042",
              "po_line_description": "Pv-3310 photo tripod w/3-way pan",
              "line_description": "Date Formate Test",
              "line_quantity": "5",
              "line_unit_price": "20.00",
              "subtotal": "100.00",
              "line_amount_invoiced": "97.00",
              "currency": "USD",
              "cost_center": "ACN00002",
              "gl_account": "100005",
              "tax_code": "A0 - Sales tax, standard rate",
              "ship_to_city": "New York",
              "ship_to_country": "USA",
              "ship_to_state_or_province": "NY",
              "ship_to_street": "123 Main St",
              "ship_to_zip_or_postal_code": "10001",
              "supplier_part_number": "SPN-001",
              "uom": "Hours",
              "tax_details": [
                {
                  "tax_type": "IGST",
                  "tax_amount": "",
                  "tax_rate": "3.2"
                },
                {
                  "tax_type": "Withholding tax",
                  "tax_amount": "",
                  "tax_rate": "4"
                },
                {
                  "tax_type": "VAT",
                  "tax_amount": "",
                  "tax_rate": "3"
                }
              ],
              "attachments": [
                {
                  "file_name": "InvoiceLinePPT.pptx",
                  "mime_code": "application/vnd.ms-powerpoint",
                  "encoding": "base64",
                  "content": "UEsDBBQABgAIAAAAIQAPBpW0tQEAAHgMAAATAAgCW0NvbnRlbnRfVHlwZXN/Base64EncodingIntentionallyTruncated"
                },
                {
                  "file_name": "InvoiceLineRichText.rtf",
                  "mime_code": "application/rtf",
                  "encoding": "base64",
                  "content": "e1xydGYxXGFuc2lcYW5zaWNwZzEyNTJcY29jb2FydGYyODIyClxjb2NvYX/Base64EncodingIntentionallyTruncated"
                }
              ]
            },
            {
              "external_invoice_number": "EXT-INV-noerp-PO-01",
              "purchase_order_line": "00045310042",
              "po_line_description": "Yeti microphone - black",
              "line_description": "",
              "line_quantity": "5",
              "line_unit_price": "20.00",
              "subtotal": "100.00",
              "line_amount_invoiced": "97.00",
              "currency": "USD",
              "cost_center": "ACN00005",
              "gl_account": "141101",
              "tax_code": "A0 - Sales tax, standard rate",
              "ship_to_city": "New York",
              "ship_to_country": "USA",
              "ship_to_state_or_province": "NY",
              "ship_to_street": "123 Main St",
              "ship_to_zip_or_postal_code": "10001",
              "supplier_part_number": "SPN-001",
              "uom": "Hours",
              "tax_details": [
                {
                  "tax_type": "SGST",
                  "tax_amount": "",
                  "tax_rate": "3.1"
                },
                {
                  "tax_type": "GST",
                  "tax_amount": "3.8",
                  "tax_rate": ""
                },
                {
                  "tax_type": "CGST",
                  "tax_amount": "",
                  "tax_rate": "1.2"
                }
              ]
            }
          ]
        },
        {
          "invoice_type": "",
          "supplier_invoice_number": "LineLevelTax_Attach3",
          "external_invoice_number": "EXT-INV-noerp-PO-line_attach3",
          "purchase_order": "",
          "supplier": "880733",
          "date_format": "mm-dd-yyyy",
          "invoice_date": "09-05-2021",
          "payment_terms": "NET 30",
          "legal_entity": "1100.",
          "subtotal": "100",
          "shipping_amount": "30.00",
          "other_charges": "20.00",
          "discounts": "10.00-",
          "amount_invoiced": "140.00",
          "currency": "USD",
          "invoice_line_count": "1",
          "ship_to_city": "New York",
          "ship_to_country": "USA",
          "ship_to_state_or_province": "NY",
          "ship_to_street": "123 Main St",
          "ship_to_zip_or_postal_code": "10001",
          "ship_from_city": "Los Angeles",
          "ship_from_country": "USA",
          "ship_from_state_or_province": "CA",
          "ship_from_street": "456 Oak Ave",
          "ship_from_zip_or_postal_code": "90001",
          "remit_address": "789 Elm St, Suite 200",
          "remit_to_city": "Chicago",
          "remit_to_country": "USA",
          "remit_to_state_or_province": "IL",
          "remit_to_zip_or_postal_code": "60601",
          "supplier_tax_id": "12340009",
          "invoice_copy_attachment": [
            {
              "file_name": "InvoicePPT.pptx",
              "mime_code": "application/vnd.ms-powerpoint",
              "encoding": "base64",
              "content": "UEsDBBQABgAIAAAAIQAPBpW0tQEAAHgMAAATAAgCW0NvbnRlbnRfVHlwZXNdLnh/Base64EncodingIntentionallyTruncated"
            },
            {
              "file_name": "InvoiceRichText.rtf",
              "mime_code": "application/rtf",
              "encoding": "base64",
              "content": "e1xydGYxXGFuc2lcYW5zaWNwZzEyNTJcY29jb2FydGYyODIyClxjb2NvYXRleH/Base64EncodingIntentionallyTruncated"
            }
          ],
          "invoice_lines": [
            {
              "external_invoice_number": "EXT-INV-noerp-PO-3",
              "purchase_order_line": "00045310041",
              "po_line_description": "Yeti microphone - black",
              "line_description": "Testing ERP POL",
              "line_quantity": "5",
              "line_unit_price": "20.00",
              "subtotal": "200.00",
              "line_amount_invoiced": "97.00",
              "currency": "USD",
              "cost_center": "ACN00005",
              "gl_account": "120040",
              "tax_code": "A0 - Sales tax, standard rate",
              "ship_to_city": "New York",
              "ship_to_country": "USA",
              "ship_to_state_or_province": "NY",
              "ship_to_street": "123 Main St",
              "ship_to_zip_or_postal_code": "10001",
              "supplier_part_number": "SPN-001",
              "uom": "Hours",
              "tax_details": [
                {
                  "tax_type": "IGST",
                  "tax_amount": "",
                  "tax_rate": "6"
                },
                {
                  "tax_type": "GST",
                  "tax_amount": "7",
                  "tax_rate": ""
                },
                {
                  "tax_type": "Sales tax",
                  "tax_amount": "8",
                  "tax_rate": "8"
                }
              ]
            },
            {
              "external_invoice_number": "EXT-INV-noerp-PO-3",
              "purchase_order_line": "00045310042",
              "po_line_description": "Pv-3310 photo tripod w/3-way pan",
              "line_description": "Date Formate Test",
              "line_quantity": "5",
              "line_unit_price": "20.00",
              "subtotal": "200.00",
              "line_amount_invoiced": "97.00",
              "currency": "USD",
              "cost_center": "ACN00001",
              "gl_account": "141250",
              "tax_code": "A0 - Sales tax, standard rate",
              "ship_to_city": "New York",
              "ship_to_country": "USA",
              "ship_to_state_or_province": "NY",
              "ship_to_street": "123 Main St",
              "ship_to_zip_or_postal_code": "10001",
              "supplier_part_number": "SPN-001",
              "uom": "Hours",
              "tax_details": [
                {
                  "tax_type": "CGST",
                  "tax_amount": "",
                  "tax_rate": "4.1"
                },
                {
                  "tax_type": "SGST",
                  "tax_amount": "4.4",
                  "tax_rate": ""
                },
                {
                  "tax_type": "VAT",
                  "tax_amount": "",
                  "tax_rate": "4.3"
                }
              ]
            },
            {
              "external_invoice_number": "EXT-INV-noerp-PO-3",
              "purchase_order_line": "00045310042",
              "po_line_description": "Yeti microphone - black",
              "line_description": "",
              "line_quantity": "5",
              "line_unit_price": "20.00",
              "subtotal": "100.00",
              "line_amount_invoiced": "97.00",
              "currency": "USD",
              "cost_center": "ACN00007",
              "gl_account": "141300",
              "tax_code": "A0 - Sales tax, standard rate",
              "ship_to_city": "New York",
              "ship_to_country": "USA",
              "ship_to_state_or_province": "NY",
              "ship_to_street": "123 Main St",
              "ship_to_zip_or_postal_code": "10001",
              "supplier_part_number": "SPN-001",
              "uom": "Hours",
              "tax_details": [
                {
                  "tax_type": "IGST",
                  "tax_amount": "",
                  "tax_rate": "2.4"
                },
                {
                  "tax_type": "Withholding tax",
                  "tax_amount": "5.5",
                  "tax_rate": ""
                },
                {
                  "tax_type": "VAT",
                  "tax_amount": "2.6",
                  "tax_rate": ""
                }
              ]
            }
          ]
        },
        {
          "invoice_type": "credit_memo",
          "supplier_invoice_number": "EXT-INV-erp-po_AttachLine",
          "external_invoice_number": "EXT-INV-erp-po_AttachLine",
          "original_invoice": "INV0001013",
          "supplier": "",
          "business_owner": "lara.croft@example.com",
          "purchase_order": "0004889699",
          "invoice_date": "09/13/2024",
          "payment_terms": "Net 30",
          "legal_entity": "AUS",
          "subtotal": "150.00",
          "shipping_amount": "30.00",
          "other_charges": "20.00",
          "discounts": "00.00",
          "amount_invoiced": "200.00",
          "currency": "USD",
          "invoice_line_count": "10",
          "ship_to_city": "New York",
          "ship_to_country": "USA",
          "ship_to_state_or_province": "NY",
          "ship_to_street": "123 Main St",
          "ship_to_zip_or_postal_code": "10001",
          "ship_from_city": "Los Angeles",
          "ship_from_country": "USA",
          "ship_from_state_or_province": "CA",
          "ship_from_street": "456 Oak Ave",
          "ship_from_zip_or_postal_code": "90001",
          "remit_address": "789 Elm St, Suite 200",
          "remit_to_city": "Chicago",
          "remit_to_country": "USA",
          "remit_to_state_or_province": "IL",
          "remit_to_zip_or_postal_code": "60601",
          "supplier_tax_id": "123456789",
          "tax_details": [
            {
              "tax_type": "CGST",
              "tax_amount": "15",
              "tax_rate": ""
            },
            {
              "tax_type": "Sales tax",
              "tax_amount": "",
              "tax_rate": "10"
            },
            {
              "tax_type": "SGST",
              "tax_amount": "10",
              "tax_rate": ""
            }
          ],
          "invoice_lines": [
            {
              "external_invoice_number": "EXT-INV-erp-po_AttachLine",
              "line_description": "POL ERP number Attachment on line only",
              "po_line_description": "",
              "purchase_order_line": "00048896991",
              "line_quantity": "5",
              "line_unit_price": "20.00",
              "subtotal": "100.00",
              "line_amount_invoiced": "118.00",
              "currency": "USD",
              "cost_center": "ACN00004",
              "gl_account": "436000",
              "tax_code": "A1 - Sales tax, reduced rate",
              "ship_to_city": "New York",
              "ship_to_country": "USA",
              "ship_to_state_or_province": "NY",
              "ship_to_street": "123 Main St",
              "ship_to_zip_or_postal_code": "10001",
              "supplier_part_number": "SPN-001",
              "attachments": [
                {
                  "file_name": "InvoiceLinePPT.pptx",
                  "mime_code": "application/vnd.ms-powerpoint",
                  "encoding": "base64",
                  "content": "UEsDBBQABgAIAAAAIQAPBpW0tQEAAHgMAAATAAgCW0NvbnRlbnRfVHlwZXN/Base64EncodingIntentionallyTruncated""
                },
                {
                  "file_name": "InvoiceLineRichText.rtf",
                  "mime_code": "application/rtf",
                  "encoding": "base64",
                  "content": "e1xydGYxXGFuc2lcYW5zaWNwZzEyNTJcY29jb2FydGYyODIyClxjb2NvYXRl/Base64EncodingIntentionallyTruncated"
              ],
              "uom": "Hours"
            }
          ]
        }
      ],
      "target_erp": ""
    }'

    次の結果は、要求が成功し、請求書データが処理されていることを示しています。要求のステータスは、請求書統合ログ [sn_spend_intg_invoice_integration_log] テーブルで確認できます。[バッチ ID] 列にリストされているバッチ ID を使用して、請求書を検索します。

    {
        "batchId": "APIINV1729711710733280",
        "status": "Success",
        "message": "Your request has been successfully received and is being processed."
    }

    AP 請求書 – POST sn_spend_intg/ap_invoice/xml

    自動請求書を XML 形式で処理します。

    請求書統合フィールドマッピング [sn_spend_intg_invoice_intg_field_mapping] テーブルを使用して、フィールドを XML タグにマッピングする方法を決定します。

    要求本文のカスタム請求書フィールドを定義できます。次のフローを使用して、カスタムフィールドを追加し、ターゲットテーブルにマッピングして、ペイロードで使用できるようにフォーマットします。
    1. 請求書インポートのカスタムフィールドを追加
    2. ソーステーブルとターゲットテーブルの間でカスタムフィールドをマッピングする
    3. カスタムフィールドをペイロードソース形式にマップする

    URL 形式

    バージョニングされた URL: /api/sn_spend_intg/v1/ap_invoice/xml

    デフォルト URL: /api/sn_spend_intg/ap_invoice/xml

    サポートされている要求パラメーター

    表 : 13. パスパラメーター
    名前 説明
    api_version オプションアクセスするエンドポイントのバージョン。たとえば、v1v2 などです。最新以外のエンドポイントバージョンを使用する場合にのみ、この値を指定してください。

    データタイプ:文字列

    表 : 14. クエリパラメーター
    名前 説明
    なし
    表 : 15. 要求本文要素 (XML)
    パス 説明
    /請求書/AmountInvoiced 税金と配送料を含むサプライヤーに支払われる合計金額。

    ターゲットフィールド:u_amount_invoiced

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    請求書/請求先市区町村 請求書の送信先の市区町村。

    ターゲットフィールド:u_bill_to_city

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    /請求書/BillToCountry 請求書の送信先の国 (ISO 3166 形式)。たとえば、 US です。

    ターゲットフィールド:u_bill_to_country

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    /請求書/BillToStateOrProvince 請求書の送信先の都道府県。

    ターゲットフィールド:u_bill_to_state_or_province

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    /請求書/BillToStreet 請求書の送信先の番地。

    ターゲットフィールド:u_bill_to_street

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    /Invoice/BillToZipOrPostalCode 請求書の送信先の郵便番号。

    ターゲットフィールド:u_bill_to_zip_or_postal_code

    /請求書/通貨 必須です。小計、税、および送料の通貨。小計、税、および送料は同じ通貨である必要があります。

    ターゲットフィールド:u_currency

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    /請求書/日付形式 請求書の日付形式をデフォルトの YYYY-MM-DD から別のサポートされている日付形式に設定します。日付値は InvoiceDate 要素に設定されます。
    サポートされている日付形式:
    • DD MMM YYYY
    • DD MMM、YY
    • DD MMM、yyyy
    • DD MMMM YYYY
    • DD MMMM、YY
    • DD MMMM, YYYY
    • DD-MM-YY
    • DD-MM-YYYY
    • DD-MMM-YY
    • DD-MMM-YYYY
    • DD.MM.YY
    • DD.MM.YYYY
    • DD/MM/YY
    • DD/MM/YYYY
    • dd/mmm/yyyy
    • MM-DD-YY
    • MM-DD-YYYY
    • MM.DD.YY
    • MM.DD.YYYY
    • MM/DD/YY
    • MM/DD/YYYY
    • MMM DD YYYY
    • MMM DD、YY
    • MMM DD、YYYY
    • MMMM DD YYYY
    • MMMM DD、YY
    • MMMM DD, YYYY
    • YY-MM-DD
    • YYです。MM.DD
    • YY/MM/DD
    • YYYY-MM-DD (デフォルト)
    • YYYYです。MM.DD
    • YYYY/MM/DD
    注:
    MMM 形式のエントリは、最初の 3 文字で月を表します (例: 8 月)。MMMM 形式のエントリは、8 月など、完全な月の名前を表します。

    ターゲットフィールド:u_date_format

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    デフォルト形式:YYYY-MM-DD

    /請求書/割引 請求書に適用される割引。

    ターゲットフィールド:u_discounts

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    /請求書/外部請求書番号 サードパーティアプリケーションによって生成された請求書番号。

    ターゲットフィールド:u_external_invoice_number

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    /請求書/請求書日付 顧客が請求された日付。DateFormat 要素を使用して、サポートされているデフォルト以外の形式で日付を追加します。

    ターゲットフィールド:u_invoice_date

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    デフォルト形式:YYYY-MM-DD

    /請求書/LegalEntity サプライヤーの法人の名前。法人 [sn_fin_legal_entity] テーブルにあります。

    ターゲットフィールド:u_legal_entity

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    /請求書/OtherCharges 請求書に関連するその他の追加料金。これは編集可能なフィールドです。

    ターゲットフィールド:u_other_charges

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    /請求書/支払条件 サプライヤーへの支払いが行われる合意された時期および条件。たとえば、「 Net 30」などです。

    ターゲットフィールド:u_payment_terms

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    /請求書/送金先住所 支払先の番地。

    ターゲットフィールド:u_remit_address

    請求書/送金先市区町村 支払先の市区町村。

    ターゲットフィールド:u_remit_to_city

    /請求書/送金国 支払い先の国 (ISO 3166 形式)。たとえば、 US です。

    ターゲットフィールド:u_remit_to_country

    /請求書/RemitToStateOrProvince 支払先の都道府県。

    ターゲットフィールド:u_remit_to_state_or_province

    /請求書/RemitToZipOrPostalCode 支払先の郵便番号。

    ターゲットフィールド:u_remit_to_zip_or_postal_code

    /請求書/ShipFromCity 発注書の品目の配送元の市区町村。

    ターゲットフィールド:u_ship_from_city

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    /Invoice/ShipFromCountry 発注書の品目の配送元の国。

    ターゲットフィールド:u_ship_from_country

    関連テーブル:請求書明細行 [sn_spend_intg_imp_invoice]

    /請求書/ShipFromStateOrProvince 発注書の品目の配送元の都道府県。

    ターゲットフィールド:u_ship_from_state_or_province

    関連テーブル:請求書明細行 [sn_spend_intg_imp_invoice]

    /請求書/ShipFromStreet 発注書の品目の配送元の番地。

    ターゲットフィールド:u_ship_from_street

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    /Invoice/ShipFromZipOrPostalCode 発注書の品目の配送元の郵便番号。

    ターゲットフィールド:u_ship_from_zip_or_postal_code

    関連テーブル:請求書明細行 [sn_spend_intg_imp_invoice]

    /請求書/送料 購入全体の合計送料。

    ターゲットフィールド:u_shipping_amount

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    /請求書/小計 税金と配送料を除いたサプライヤーに支払われる合計金額。

    ターゲットフィールド:u_subtotal

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    /請求書/サプライヤー 顧客が注文できるリセラーまたはサプライヤーの識別子。

    ターゲットフィールド:u_supplier

    関連テーブル:請求書のインポート [sn_spend_intg_imp_invoice]

    /請求書/SupportingAttachments 買掛金スペシャリストにアサインされたケースの請求書処理ケースレベルで定義された添付ファイルのリスト。「Invoice processing case form」を参照してください。

    作成されると、関連する請求書ケースおよび請求書明細行とともに請求書レコードが生成されます。添付ファイルは、それぞれのレコードに適宜リンクされます。

    /請求書/SupportingAttachments/添付ファイル/ 1 つの添付ファイルの詳細が含まれます。
    /請求書/SupportingAttachments/添付ファイル/コンテンツ Base64 でエンコードされた添付ファイルのファイルコンテンツ。
    /Invoice/SupportingAttachments/Attachment/Encoding この値は常に base64 です。
    /Invoice/SupportingAttachments/Attachment/FileName 添付ファイルのファイル名。
    注:
    添付ファイル名に予約済みの「SD_」接頭辞を使用しないでください。
    /Invoice/SupportingAttachments/Attachment/MimeCode この値は常に base64 です。
    /請求書/InvoiceCopyAttachment/ 請求書レベルで定義された添付ファイルのリスト。「Accounts Payable Invoice Processing」を参照してください。

    作成されると、関連する請求書ケースおよび請求書明細行とともに請求書レコードが生成されます。添付ファイルは、それぞれのレコードに適宜リンクされます。

    /請求書/InvoiceCopyAttachment/添付ファイル/ 1 つの添付ファイルの詳細が含まれます。
    /請求書/InvoiceCopyAttachment/添付ファイル/コンテンツ Base64 でエンコードされた添付ファイルのファイルコンテンツ。
    /Invoice/InvoiceCopyAttachment/Attachment/Encoding この値は常に base64 です。
    /Invoice/InvoiceCopyAttachment/Attachment/FileName 添付ファイルのファイル名。
    注:
    添付ファイル名に予約済みの「SD_」接頭辞を使用しないでください。
    /請求書/InvoiceCopyAttachment/Attachment/MimeCode この値は常に base64 です。
    /請求書/InvoiceLines/ このオーダー内の購入に対して請求される明細行を定義する InvoiceLine 要素のリスト。
    /請求書明細/ 請求書項目の定義。請求書明細行は、請求書明細行インポート受信 [sn_spend_intg_imp_invoice_line] テーブルにステージングされます。
    /InvoiceLine/添付ファイル/ 1 つの添付ファイルの詳細が含まれます。
    /InvoiceLine/Attachment/Content Base64 でエンコードされた添付ファイルのファイルコンテンツ。
    /InvoiceLine/添付ファイル/エンコーディング この値は常に base64 です。
    /InvoiceLine/添付ファイル/ファイル名 添付ファイルのファイル名。
    注:
    添付ファイル名に予約済みの「SD_」接頭辞を使用しないでください。
    /InvoiceLine/Attachment/MimeCode この値は常に base64 です。
    /請求書明細/コストセンター 請求書が生成されるコストセンターのアカウント番号。コストセンター [cmn_cost_center] テーブルにリストされます。

    ターゲットフィールド:u_cost_center

    /InvoiceLine/通貨 品目の通貨。例:USD。

    ターゲットフィールド:u_currency

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    /InvoiceLine/GLAccount 請求書の生成に使用される総勘定元帳 (GL) のアカウント番号。

    ターゲットフィールド:u_gl_account

    関連項目:
    /InvoiceLine/LineAmountInvoiced 特定の発注明細に対して顧客に請求される総コスト (税と送料を除く)。

    ターゲットフィールド:u_line_amount_invoiced

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    /InvoiceLine/LineDescription 請求書明細行の説明。

    ターゲットフィールド:u_line_description

    /InvoiceLine/LineQuantity 顧客への請求対象となる、物品またはサービスの数量。

    ターゲットフィールド:u_line_quantity

    /InvoiceLine/LineUnitPrice 請求書の項目の単価。

    ターゲットフィールド:u_line_unit_price

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    /InvoiceLine/POLineDescription 請求書の発注明細の説明。

    ターゲットフィールド:u_po_line_description

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    /InvoiceLine/PurchaseOrderLine この注文に対して顧客から提供された発注書番号。発注書 [sn_shop_purchase_order] テーブルにリストされている。

    ターゲットフィールド:u_purchase_order

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    /InvoiceLine/ShipToCity 発注書の品目の配送先の市区町村。

    ターゲットフィールド:u_ship_to_city

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    /InvoiceLine/ShipToCountry 発注書の品目の配送先の国。

    ターゲットフィールド:u_ship_to_country

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    /InvoiceLine/ShipToStateOrProvince 発注書の品目の配送先の都道府県。

    ターゲットフィールド:u_ship_to_state_or_province

    /InvoiceLine/ShipToStreet 発注書の品目の配送先の番地。

    ターゲットフィールド:u_ship_to_street

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    /InvoiceLine/ShipToZipOrPostalCode 発注書の品目の配送先の郵便番号。

    ターゲットフィールド:u_ship_to_zip_or_postal_code

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    /InvoiceLine/小計 税金と配送料を除いたサプライヤーに支払われる合計金額。

    ターゲットフィールド:u_subtotal

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    /InvoiceLine/SupplierPartNumber この請求書明細行に対してサプライヤーによって生成される部品番号。

    ターゲットフィールド:u_supplier_part_number

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    /請求書明細/税コード ERP ソースから生成された一意の税コード。

    ターゲットフィールド:u_tax_code

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    /請求書明細行/UOM 請求書の品目を計数するために使用される基本測定単位 (UOM)。

    ターゲットフィールド:u_uom

    関連テーブル:請求書項目インポート [sn_spend_intg_imp_invoice_line]

    /税の詳細/税タイプ 請求書に適用される税のタイプ。税タイプ [sn_fin_tax_type] テーブルに表示されます。

    ターゲットフィールド:u_tax_type

    関連テーブル:請求書税項目インポート [sn_spend_intg_imp_invoice_tax_line]

    /TaxDetail/TaxRate サプライヤーが請求する税率。

    関連テーブル:請求書税項目インポート [sn_spend_intg_imp_invoice_tax_line]

    ターゲットフィールド:u_supplier_tax_rate

    関連テーブル:請求書税項目インポート [sn_spend_intg_imp_invoice_tax_line]

    ヘッダー

    次のリクエストや応答ヘッダーは、この HTTP アクションにのみ適用されるか、またはこのアクションに別個の方法で適用されます。REST API で使用される一般的なヘッダーのリストについては、「 サポートされている REST API ヘッダー」を参照してください。

    表 : 16. 要求ヘッダー
    ヘッダー 説明
    Content-Type 要求本文のデータ形式。application/xml のみをサポートします。
    ソースシステム 要求の送信元のソースシステムを指定します。

    利用可能なシステムは、ソースシステムの認証情報 [sn_spend_intg_source_system_credential] テーブルに一覧表示されます。

    この設定は、指定された要求が請求書統合フィールドマッピング [sn_spend_intg_invoice_intg_field_mapping] テーブルの構造に従っているかどうかを判断するのに役立ちます。

    この設定は、ソースシステム認証情報 [sn_spend_intg_source_system_credential] テーブルから認証情報をフェッチするためにも使用されます。

    表 : 17. 応答ヘッダー
    ヘッダー 説明
    なし

    ステータスコード

    この HTTP アクションには、次のステータスコードが適用されます。REST API で使用される可能性のあるステータスコードのリストについては、「 REST API HTTP 応答コード」を参照してください。

    表 : 18. ステータスコード
    ステータスコード 説明
    202 要求が承認されました。要求が成功し、請求書の処理が進行中です。
    400 要求が正しくありません。不適切な要求タイプまたは誤った要求が検出されました。
    429 要求が多すぎます。要求レートが 1 時間あたり最大 10 件の要求を超えました。

    応答本文のパラメーター

    名前 説明
    batch_id バッチ要求の一意の識別子。この ID は、要求のステータスを追跡するために使用できます。このレコードは、請求書統合ログ [sn_spend_intg_invoice_integration_log] テーブルに保存されます。

    データタイプ:文字列

    エラー 要求が失敗した場合のエラーメッセージと詳細が含まれます。
    {
      "detail": String,
      "message": String
    }

    データタイプ: オブジェクト

    error.detail 要求エラーに関するその他の詳細。
    考えられる結果:
    • API レベルの ACL 検証に失敗しました:ユーザーにリソースへの読み取り/書き込みアクセス権がありません。
    • AP の 1 時間あたり 13 リクエストのレート制限を超えました 請求書 – バッチ内のレコード数がバッチサイズの設定を超えています。
    • 認証情報の入力を要求 - パスワードまたはユーザー名が間違っています。

    データタイプ:文字列

    error.message 要求が失敗した理由を含むエラーメッセージ
    考えられるエラー:
    • 無効なペイロード:無効なコンテンツタイプ。
    • 無効なペイロード:エラー:無効なペイロード構造です。
    • 無効なペイロード:エラー:ペイロードがバッチで許可される請求書の制限を超えています。バッチ内のレコード数がバッチサイズの設定を超えています。デフォルトの最大ペイロードサイズは 100 レコードです。この値は、 sn_spend_intg.ap.invoice.create.api.record_limit システムのプロパティで構成できます。
    • 無効なペイロード:エラー:請求書が空です。処理するデータがありません。バッチ内のレコード数が 0 である。
    • APO 請求書取り込みの 1 時間あたり 500 要求のレート制限を超えました。
    • ユーザーが認証されていません。パスワードまたはユーザー名が間違っています。
    • API レベルの ACL 検証に失敗しました:ユーザーにリソースへの読み取り/書き込みアクセス権がありません。

    データタイプ:文字列

    メッセージ 成功メッセージ (例: 要求が正常に受信され、処理中です。

    要求のステータスは、請求書統合ログ [sn_spend_intg_invoice_integration_log] テーブルで確認できます。

    データタイプ:文字列

    ステータス 要求の結果を示します。
    可能な値:
    • 成功
    • 失敗

    データタイプ:文字列

    cURL 要求

    次の例は、XML 形式で要求として提供された請求書を処理する方法を示しています。 Base64 エンコーディングのサイズはさまざまで、非常に大きくなる可能性があります。スペースを節約するためにコンテンツ値が切り捨てられました。情報は適切なペイロード構造を反映しています。

    curl -X POST https://instance.servicenow.com/api/sn_spend_intg/v1/ap_invoice/xml \
    -H "Source-System: Ariba" \
    -H "Content-Type: application/json" \
    -d '<Invoices>
        <Invoice>
            <InvoiceType>po_invoice</InvoiceType>
            <SupplierInvoiceNumber>S-AttachmentInvoice-A1-SupportDoc1</SupplierInvoiceNumber>
            <ExternalInvoiceNumber>EXT-INV-#00A1</ExternalInvoiceNumber>
            <Supplier>3245545</Supplier>
            <PurchaseOrder>###0004889698</PurchaseOrder>
            <BusinessOwner>paula.smith@example.com</BusinessOwner>
            <DateFormat>DD-MMM-YY</DateFormat>
            <InvoiceDate>16-DEC-24</InvoiceDate>
            <PaymentTerms>Net 60</PaymentTerms>
            <LegalEntity>US</LegalEntity>
            <Subtotal>100.00</Subtotal>
            <ShippingAmount>20.00</ShippingAmount>
            <OtherCharges>20</OtherCharges>
            <Discounts>10</Discounts>
            <AmountInvoiced>150.00</AmountInvoiced>
            <Currency>USD</Currency>
            <InvoiceLineCount>1</InvoiceLineCount>
            <ShipToCity>Los Angeles</ShipToCity>
            <ShipToCountry>USA</ShipToCountry>
            <ShipToStateOrProvince>CA</ShipToStateOrProvince>
            <ShipToStreet>456 Oak Ave</ShipToStreet>
            <ShipToZipOrPostalCode>90001</ShipToZipOrPostalCode>
            <ShipFromCity>Addison</ShipFromCity>
            <ShipFromCountry>USA</ShipFromCountry>
            <ShipFromStateOrProvince>TX</ShipFromStateOrProvince>
            <ShipFromStreet>15725 Dallas P</ShipFromStreet>
            <ShipFromZipOrPostalCode>55555</ShipFromZipOrPostalCode>
            <RemitAddress>47 W 11th St</RemitAddress>
            <RemitToCity>New York</RemitToCity>
            <RemitToCountry>USA</RemitToCountry>
            <RemitToStateOrProvince>NY</RemitToStateOrProvince>
            <RemitToZipOrPostalCode>99999</RemitToZipOrPostalCode>
            <BillToStreet>4810 Eastgate Mall</BillToStreet>
            <BillToCity>San Diego</BillToCity>
            <BillToCountry>USA</BillToCountry>
            <BillToStateOrProvince>CA</BillToStateOrProvince>
            <BillToZipOrPostalCode>92121</BillToZipOrPostalCode>
            <SupplierTaxID>7894328742</SupplierTaxID>
            <TaxDetails>
                <TaxDetail>
                    <TaxType>Sales tax</TaxType>
                    <TaxAmount>10</TaxAmount>
                    <TaxRate></TaxRate>
                </TaxDetail>
                <TaxDetail>
                    <TaxType>CGST</TaxType>
                    <TaxAmount></TaxAmount>
                    <TaxRate>11</TaxRate>
                </TaxDetail>
                <TaxDetail>
                    <TaxType>IGST</TaxType>
                    <TaxAmount>12</TaxAmount>
                    <TaxRate>12</TaxRate>
                </TaxDetail>
                <TaxDetail>
                    <TaxType>Withholding tax</TaxType>
                    <TaxAmount>13</TaxAmount>
                    <TaxRate></TaxRate>
                </TaxDetail>
            </TaxDetails>
            <SupportingAttachments>
                <Attachment>
                    <FileName>InvoiceCaseSupportingDoc.png</FileName>
                    <MimeCode>image/png</MimeCode>
                    <Encoding>base64</Encoding>
                    <Content>iVBORw0KGgoAAAANSUhEUgAAA0YAAALUCAYAAAAv/SLkAAAMTmlDQ1BJQ/Base64EncodingIntentionallyTruncated=</Content>
                </Attachment>
                <Attachment>
                    <FileName>InvoiceImageA1.jpg</FileName>
                    <MimeCode>image/jpeg</MimeCode>
                    <Encoding>base64</Encoding>
                    <Content>/9j/4AAQSkZJRgABAQEA8ADwAAD/2wCEAAoHBwcIBwoICAoPCggKDxINC/Base64EncodingIntentionallyTruncated=</Content>
                </Attachment>
            </SupportingAttachments>
            <InvoiceCopyAttachment>
                <Attachment>
                    <FileName>InvoiceA1.pdf</FileName>
                    <MimeCode>application/pdf</MimeCode>
                    <Encoding>base64</Encoding>
                    <Content>JVBERi0xLjQKJaqrrK0KMSAwIG9iago8PAovVGl0bGUgKFBERiBQcmVzZ/Base64EncodingIntentionallyTruncated=</Content>
                </Attachment>
                <Attachment>
                    <FileName>InvoiceImageA1.jpg</FileName>
                    <MimeCode>image/jpeg</MimeCode>
                    <Encoding>base64</Encoding>
                    <Content>/9j/4AAQSkZJRgABAQEA8ADwAAD/2wCEAAoHBwcIBwoICAoPCggKDxINC/Base64EncodingIntentionallyTruncated=</Content>
                </Attachment>
            </InvoiceCopyAttachment>
            <InvoiceLines>
                <InvoiceLine>
                    <ExternalInvoiceNumber>EXT-INV-#00A1</ExternalInvoiceNumber>
                    <LineDescription>Invoice_Line_Attach_A1</LineDescription>
                    <PurchaseOrderLine>POL11232</PurchaseOrderLine>
                    <POLineDescription>NowX Charger</POLineDescription>
                    <LineQuantity>10</LineQuantity>
                    <LineUnitPrice>10.00</LineUnitPrice>
                    <Subtotal>200.00</Subtotal>
                    <LineAmountInvoiced>100</LineAmountInvoiced>
                    <Currency>USD</Currency>
                    <CostCenter>ACN00001</CostCenter>
                    <GLAccount>100005</GLAccount>
                    <TaxCode>A1 - Sales tax, reduced rate</TaxCode>
                    <ShipToCity>New York</ShipToCity>
                    <ShipToCountry>USA</ShipToCountry>
                    <ShipToStateOrProvince>New York</ShipToStateOrProvince>
                    <ShipToStreet>PA112</ShipToStreet>
                    <ShipToZipOrPostalCode>1001</ShipToZipOrPostalCode>
                    <SupplierPartNumber>SPN1211</SupplierPartNumber>
                    <UOM>Individual Unit</UOM>
                    <Attachments>
                        <Attachment>
                            <FileName>InvoiceLineA1.png</FileName>
                            <MimeCode>image/png</MimeCode>
                            <Encoding>base64</Encoding>
                            <Content>iVBORw0KGgoAAAANSUhEUgAAA0YAAALUCAYAAAAv/SLkAAAMT/Base64EncodingIntentionallyTruncated=</Content>
                        </Attachment>
                    </Attachments>
                </InvoiceLine>
                <InvoiceLine>
                    <ExternalInvoiceNumber>EXT-INV-#00A</ExternalInvoiceNumber>
                    <LineDescription>InvoiceLine_PDF_Attach_A1</LineDescription>
                    <PurchaseOrderLine>00048896981</PurchaseOrderLine>
                    <POLineDescription></POLineDescription>
                    <LineQuantity>10</LineQuantity>
                    <LineUnitPrice>10.00</LineUnitPrice>
                    <Subtotal>200.00</Subtotal>
                    <LineAmountInvoiced>100</LineAmountInvoiced>
                    <Currency>USD</Currency>
                    <CostCenter>ACN00005</CostCenter>
                    <GLAccount>120050</GLAccount>
                    <TaxCode>A1 - Sales tax, reduced rate</TaxCode>
                    <ShipToCity>New York</ShipToCity>
                    <ShipToCountry>USA</ShipToCountry>
                    <ShipToStateOrProvince>New York</ShipToStateOrProvince>
                    <ShipToStreet>PA112</ShipToStreet>
                    <ShipToZipOrPostalCode>1001</ShipToZipOrPostalCode>
                    <SupplierPartNumber>SPN1211</SupplierPartNumber>
                    <UOM>Individual Unit</UOM>
                    <Attachments>
                        <Attachment>
                            <FileName>Invoice_line_A1.pdf</FileName>
                            <MimeCode>application/pdf</MimeCode>
                            <Encoding>base64</Encoding>
                            <Content>JVBERi0xLjQKJaqrrK0KMSAwIG9iago8PAovVGl0bGUgKFBER/Base64EncodingIntentionallyTruncated=</Content>
                        </Attachment>
                        <Attachment>
                            <FileName>InvoiceImageA1.jpg</FileName>
                            <MimeCode>image/jpeg</MimeCode>
                            <Encoding>base64</Encoding>
                            <Content>/9j/4AAQSkZJRgABAQEA8ADwAAD/2wCEAAoHBwcIBwoICAoPC/Base64EncodingIntentionallyTruncated=</Content>
                        </Attachment>
                    </Attachments>
                </InvoiceLine>
            </InvoiceLines>
        </Invoice>
        <Invoice>
            <InvoiceType>non_po_invoice</InvoiceType>
            <SupplierInvoiceNumber>10MultiAttach_Inv_invline_A2-MultiSupp</SupplierInvoiceNumber>
            <ExternalInvoiceNumber>EXT-INV-#00A2</ExternalInvoiceNumber>
            <Supplier>3245545</Supplier>
            <BusinessOwner>paula.smith@example.com</BusinessOwner>
            <DateFormat>DD-MMM-YYYY</DateFormat>
            <InvoiceDate>10-Nov-2024</InvoiceDate>
            <PaymentTerms>Net 60</PaymentTerms>
            <LegalEntity>1100</LegalEntity>
            <Subtotal>120.00</Subtotal>
            <ShippingAmount>10.00</ShippingAmount>
            <OtherCharges>10</OtherCharges>
            <Discounts>10</Discounts>
            <AmountInvoiced>150.00</AmountInvoiced>
            <Currency>USD</Currency>
            <InvoiceLineCount>1</InvoiceLineCount>
            <ShipToCity>Los Angeles</ShipToCity>
            <ShipToCountry>USA</ShipToCountry>
            <ShipToStateOrProvince>CA</ShipToStateOrProvince>
            <ShipToStreet>456 Oak Ave</ShipToStreet>
            <ShipToZipOrPostalCode>90001</ShipToZipOrPostalCode>
            <ShipFromCity>Addison</ShipFromCity>
            <ShipFromCountry>USA</ShipFromCountry>
            <ShipFromStateOrProvince>TX</ShipFromStateOrProvince>
            <ShipFromStreet>15725 Dallas P</ShipFromStreet>
            <ShipFromZipOrPostalCode>55555</ShipFromZipOrPostalCode>
            <RemitAddress>47 W 11th St</RemitAddress>
            <RemitToCity>New York</RemitToCity>
            <RemitToCountry>USA</RemitToCountry>
            <RemitToStateOrProvince>NY</RemitToStateOrProvince>
            <RemitToZipOrPostalCode>99999</RemitToZipOrPostalCode>
            <BillToStreet>4810 Eastgate Mall</BillToStreet>
            <BillToCity>San Diego</BillToCity>
            <BillToCountry>USA</BillToCountry>
            <BillToStateOrProvince>CA</BillToStateOrProvince>
            <BillToZipOrPostalCode>92121</BillToZipOrPostalCode>
            <SupplierTaxID>7894328742</SupplierTaxID>
            <TaxDetails>
                <TaxDetail>
                    <TaxType>Value added tax</TaxType>
                    <TaxAmount>8</TaxAmount>
                    <TaxRate></TaxRate>
                </TaxDetail>
                <TaxDetail>
                    <TaxType>Withholding tax</TaxType>
                    <TaxAmount></TaxAmount>
                    <TaxRate>7</TaxRate>
                </TaxDetail>
            </TaxDetails>
            <SupportingAttachments>
                <Attachment>
                    <FileName>10InvoiceCaseTestInv_Xml_A2.pdf</FileName>
                    <MimeCode>application/pdf</MimeCode>
                    <Encoding>base64</Encoding>
                    <Content>JVBERi0xLjQKJaqrrK0KMSAwIG9iago8PAovVGl0bGUgKFBERiBQcmVzZ/Base64EncodingIntentionallyTruncated=</Content>
                </Attachment>
                <Attachment>
                    <FileName>10InvoiceCasePNGInv_Xml_A2.png</FileName>
                    <MimeCode>image/png</MimeCode>
                    <Encoding>base64</Encoding>
                    <Content>iVBORw0KGgoAAAANSUhEUgAAA0YAAALUCAYAAAAv/SLkAAAMTmlDQ1BJQ/Base64EncodingIntentionallyTruncated=</Content>
                </Attachment>
                <Attachment>
                    <FileName>10InvceCaseTst2Inv_Xml_A2.pdf</FileName>
                    <MimeCode>application/pdf</MimeCode>
                    <Encoding>base64</Encoding>
                    <Content>JVBERi0xLjQKJaqrrK0KMSAwIG9iago8PAovVGl0bGUgKFBERiBQcmVzZ/Base64EncodingIntentionallyTruncated=</Content>
                </Attachment>
                <Attachment>
                    <FileName>10InvoiceCaseTestXMLINV_Xml_A2.xml</FileName>
                    <MimeCode>text/xml</MimeCode>
                    <Encoding>base64</Encoding>
                    <Content>PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0iVVRGLTgiIHN0YW5kY/Base64EncodingIntentionallyTruncated=</Content>
                </Attachment>
                <Attachment>
                    <FileName>10InvoiceCaseTestExcelINV_Xml_A2.xlsx</FileName>
                    <MimeCode>application/vnd.ms-excel</MimeCode>
                    <Encoding>base64</Encoding>
                    <Content>UEsDBBQABgAIAAAAIQCpD2g4fwEAAAIFAAATAAgCW0NvbnRlbnRfVHlwZ/Base64EncodingIntentionallyTruncated=</Content>
                </Attachment>
                <Attachment>
                    <FileName>10InvoiceCaseTestdocINV_Xml_A2.docx</FileName>
                    <MimeCode>application/vnd.openxmlformats-officedocument.wordprocessingml.document</MimeCode>
                    <Encoding>base64</Encoding>
                    <Content>UEsDBBQABgAIAAAAIQDnIQddcAEAANcFAAATAAgCW0NvbnRlbnRfVHlwZ/Base64EncodingIntentionallyTruncated=</Content>
                </Attachment>
                <Attachment>
                    <FileName>10InvoiceCasePPT_Xml_A2.pptx</FileName>
                    <MimeCode>application/vnd.ms-powerpoint</MimeCode>
                    <Encoding>base64</Encoding>
                    <Content>UEsDBBQABgAIAAAAIQAPBpW0tQEAAHgMAAATAAgCW0NvbnRlbnRfVHlwZ/Base64EncodingIntentionallyTruncated=</Content>
                </Attachment>
                <Attachment>
                    <FileName>10InvoiceCaseRichText_Xml_A2.rtf</FileName>
                    <MimeCode>application/rtf</MimeCode>
                    <Encoding>base64</Encoding>
                    <Content>e1xydGYxXGFuc2lcYW5zaWNwZzEyNTJcY29jb2FydGYyODIyClxjb2Nv/Base64EncodingIntentionallyTruncated=</Content>
                </Attachment>
                <Attachment>
                    <FileName>10InvoiceCaseImageJpeg_XML_A2.jpg</FileName>
                    <MimeCode>image/jpeg</MimeCode>
                    <Encoding>base64</Encoding>
                    <Content>/9j/4AAQSkZJRgABAQEA8ADwAAD/2wCEAAoHBwcIBwoICAoPCggKDxINC/Base64EncodingIntentionallyTruncated=</Content>
                </Attachment>
            </SupportingAttachments>
            <InvoiceCopyAttachment>
                <Attachment>
                    <FileName>10InvoiceTestInv_Xml_A2.pdf</FileName>
                    <MimeCode>application/pdf</MimeCode>
                    <Encoding>base64</Encoding>
[...]
